Introduction

Welcome to PhonePad 5.

This guide covers just about everything you need to know as a PhonePad 5 administrator.

If you are upgrading from PhonePad 4 then you will find that PhonePad 5 has a lot of changes and improvements.

LightBulb

While all due care is taken in the writing of this admin guide, it's possible that there are errors because we have overlooked something.

If you find that there is missing, incorrect, incomplete, or out-of-date information, please contact us and let us know. We'll do our best to get it corrected quickly.

Just send an email along with the details to support@cybercom-software.com.

Thanks.


What's New in PhonePad 5

If you're new to PhonePad then this section may not be of much interest to you. But if you are a PhonePad 4 user then you will find that there have been a lot of changes in this new version of PhonePad.


Changes for Users

There are many changes and new features for the end user. Let's have a look at some of them.


Changes and New Features

New Feature or Change | Details
Welcome Screen | Optionally displays at startup. Includes handy links and shows an overview of message status in the form of charts.
Multi-Tab Toolbar | The toolbar features multiple tabs that are based on functionality, providing a way to quickly get to the features you need.
Folder Tree | The sidebar in PhonePad 4 has been replaced with a folder tree that conveniently shows all of your folders in one place, making it easy to access your folders at any time.
Deleted Folder | Messages that have been deleted are now stored in each user's Deleted folder where they can be easily undeleted if needed. The system automatically clears out any messages that have been in the Deleted folder for more than 14 days.
Outgoing Messages | You can now log Outgoing messages, giving you a complete record of interaction with your clients.
Personal Folders, Public Folders, Group Folders | Personal and Public folders are now grouped separately. Group folders can be set up by administrators so that only members of a group can access them.
Groups | Replacing the old Distribution Groups from PhonePad 4, the Groups option allows messages to be sent by a group simply by selecting or entering the group name.
Caller Information | Select a message and details of the caller appear on the Caller Information tab. This allows you to view contact details without needing to open the message.
Preview | Select a message and the Preview tab allows you to review the contents of a message before opening it.
CallFlow | View a history of all phone calls with a caller, both in and out, including follow up notes.
Reminders | Set reminders to remind you to follow up phone calls.
Instant Chat | PhonePad 5 includes an instant messaging application.
Improved Message Lists | The message lists are now faster, smoother and easier to use.
Integrated Search in Message Lists | Each message list in PhonePad 5 includes an integrated search feature, allowing you to quickly find a message.
Reference Field | Phone messages now have a Reference field that you can enter any text into. It could be a client number, patient number, file number, or whatever you like. PhonePad remembers these references so that they can be used in other messages.
Category | Phone messages now have a Category field that can be used in messages to categorize your messages. You are free to use categories however you wish.
I Forgot My Password | If you can't remember your PhonePad password when trying to login, you can click the I Forgot My Password link and have your password sent to you by email, SMS or Pushover.
Maps for Caller Locations | The Address Book has been expanded to allow you lookup and store the location of each callers address on Google Maps.
Remote Access | It is now easier to set up remote connectivity for users working out of the office.


Changes for Administrators

There are many changes in PhonePad 5 that affect PhonePad administrators. Some applications have been removed while others have been replaced with new applications. There are also quite a few new admin features that give you a lot more control.


System Changes

There have been a lot of changes since PhonePad 4. Almost everything has been rewritten to improve usability and performance, and to implement new features.

Everything to do with the database side of things has changed. We have completely replaced the previous database engine with a new high performance engine. That doesn't mean it's a newer version of the previous engine - it's a totally new engine with better performance and greater capacity and capabilities.

In PhonePad 4, the PhonePad 4 Server (DBServer) provided little more than connectivity to the database. It didn't matter whether your were connecting directly to the PhonePad database (Local Mode) or through the PhonePad 4 Server (Remote Mode) - all of the processing was done on the workstations.

With PhonePad 5 this has all changed. The PhonePad 5 Server has taken over most of the processing tasks previously done by the workstations.

For example with PhonePad 4, if you sent a message to 15 people the workstation would have to send each of the 15 messages. This could potentially take 15x the amount of time it would take to send a message to 1 person, tying up PhonePad until all messages were sent.

In PhonePad 5, the workstation only sends 1 message. The PhonePad 5 Server takes care of sending the rest of them, freeing up PhonePad on the workstation.

PhonePad 5 Server can perform many automated background tasks 24/7 without users even being aware of them. This was not possible with PhonePad 4.


Application Changes

Let's go through the application changes first.

PhonePad 4

PhonePad 5

Details

PhonePad4

PhonePad5

PhonePad5Run

PhonePad5Run is the actual PhonePad application but you can't run it directly. You have to run PhonePad5.

PhonePad5 is a "loader" program. It is responsible for establishing a connection with the PhonePad 5 Server. It also checks for updates that are required for any of the PhonePad workstation files. If there are updates it will automatically download and install them. Once this has been done it will start PhonePad5Run.

PhonePad Admin (PPAdmin)

One of the first things you will notice is that there is no longer a PhonePad Admin application. All administrator functionality has been incorporated into PhonePad itself.

DBRepair

DatabaseRepair

New repair application specifically for PhonePad 5.

DBBackup

No longer needed.

DatabaseRestore

A new application for restoring from backups.

ServerManager

ControlCenter

Used to install/uninstall and start/stop the PhonePad 5 Server service.

DBConnect

No longer needed. Connections are now automatic.

DBUpdate

No longer needed. The PhonePad 5 Server takes care of any database changes.

DBServer

PhonePad5Server

Brand new server application with powerful new database engine and automatic network discovery features.

License

Now built-in to PhonePad 5.

Shortcuts

No longer needed.

SupportCenter

No longer needed.

WhereRU 4

WhereRU 5

Updated for PhonePad 5.

InstantChat

A new application in PhonePad 5.

AutoBackup

Built-in to PhonePad 5 Server.

MessageSender 5

MessageSender 6

Updated for PhonePad 5. Available separately.


New Features

New Features and Changes

Now we'll take a look at some of the new admin features. There are now two types of administrators: Managers and System Administrators. The following table shows which admin features are available to the two admin types.

Feature | Description | Manager | System Admin
User Management | Users are now managed from within PhonePad. Set Address Book permissions, view user logs. | Star | Star
Manage Groups | Messages can be sent to groups, groups can have their own folders for storing messages. | Star | Star
Label Editor | Extended range of labels that can be customized. | Star | Star
Manage Lookup Lists | There are special look up lists for messages and contacts. | Star | Star
Message Archives | Access archived messages. | Star | Star
Archive Messages | Archive messages. | Star | Star
Overview | Shows an overview of all message statuses. | Star | Star
Master View | Shows all messages in all users' Inboxes including their current status. | Star | Star
Reports | New reports give you a better idea of what's happening with messages. | Star | Star
Automatic Backup | Your PhonePad database is now backed up automatically every day. You can change the schedule if required. |  | Star
Backup | Manual backup facility built-in to PhonePad. |  | Star
Backup Logs | Displays a history of all backups, both manual and automatic. |  | Star
Repair | Do manual repairs or schedule a repair for a specific time. |  | Star
System Rules | Many user preferences have been moved to the new System Rules feature which allows administrators to define system wide options. |  | Star
Communication Settings | Set up all of your communication settings (email, SMS and Pushover) in one place. Used for notifications and MessageSender 6. |  | Star
Notifications | Administrators can receive notifications via email, SMS or Pushover when backups or repair have been successfully completed, or failed. Users can receive their login details when they have forgotten their password. |  | Star
View Server Logs |  |  | Star
Logout Users | Force users out when you need to do some system maintenance. |  | Star
Application Updates | Administrators can check for PhonePad 5 updates and download them from within PhonePad. Workstations can be automatically updated by the PhonePad 5 Server. |  | Star


Connection Modes

PhonePad 4 had two Connection Modes: Local Mode (direct file access) and Remote Mode (Client/Server). The aim was to provide maximum flexibility in configuring PhonePad 4 on networks, however, with that flexibility came some complexity as well.

Using Local Mode, PhonePad on each workstation connected directly to the PhonePad database located on a network drive on a Server, or a shared drive on a Host PC.

This method had some drawbacks, including:

·The database was sometimes susceptible to corruption from a variety of causes: workstations crashing, anti-virus software, intermittent faults with network cables, network interface cards, network hardware, etc.

·Windows permission issues.

·Setting up the connection to the database was confusing for many users.

·Performance bottlenecks with the Windows file system.

With Remote Mode PhonePad connected to the PhonePad Server application located on a Server or Host PC. One of the advantages was that no workstation had direct access to the PhonePad database, only DBServer did. This reduced the chances of data corruption while at the same time increasing performance.

However, setting up the connection to the server on each workstation was also problematic for many users. Additionally, Windows on Host PCs had a habit of changing their IP Address, breaking the connection.

This has all changed with PhonePad 5.

There is only one connection mode: Client/Server (or Remote Mode). This simplifies things greatly as users no longer have to worry about Windows permissions, setting up network shares, and so on.

In fact, there is no need for users to set up the connection at all. We have worked hard to make things as easy as possible with PhonePad 5. The result is that PhonePad 5 automatically connects to the PhonePad 5 Server without any action required by users. It even adds an exception rule to your Server's or Host PC's Windows Firewall to allow connections between workstations and the Server or Host PC.

Each time PhonePad starts on the workstation it searches for any PhonePad 5 servers on the network. When the server receives this request it sends out its connection information. PhonePad then uses this information to establish a connection with the server. The advantages of this method are:

·There is no configuration required on workstations.

·If the Server or Host PC's IP Address changes, workstations can still connect as they will always have the latest server connection information.

There is one disadvantage though: if you had installed PhonePad 4 on a network drive you will no longer be able to do this with PhonePad 5. The PhonePad 5 Server must be installed on a local drive of a Server or Host PC, and so does the PhonePad database. You can still install PhonePad 5 Workstation on a network drive if you wish although we believe you will get better performance installing it directly on a workstation.


Updating PhonePad

Updating PhonePad 4 on each workstation (if you weren't using a network drive) could sometimes be a chore.

Many large organizations installed PhonePad 4 on each workstation and set it up to connect to their servers in Remote Mode. This improved performance dramatically and minimized data corruption.

Some of these organizations have hundreds of PhonePad users so when an update came out it was a major headache to deploy it to all users. Unless they had special network application deployment tools, someone would have to go around to each workstation and physically install the new version of PhonePad 4.

We felt their pain. So we changed it.

Initially PhonePad 5 will require someone to walk around and install it on each workstation, but it's a one-time task. After that, PhonePad 5 Server will automatically update all workstations with the latest version when instructed to by a PhonePad system admin. The sales of aspirin may go down but the result will be happier administrators and users.


Installing PhonePad 5

PhonePad 5 has two installers: one for your Server or Host PC, and another for your workstations. It's important that you download and run both installers on your Server or Host PC, but only download and install the workstation installer or your workstations.


System Requirements and Specifications

System Requirements

PhonePad 5 will run on virtually any Windows-based network. If your computers are interconnected in some way then PhonePad should run fine.

·Server*: Microsoft Windows Server 2000, 2003, 2008, 2012 or higher.

or

·Host PC*: Microsoft Windows 7, 8, 10 or higher (32 bit or 64 bit).

·Workstations: Microsoft Windows XP, Vista, 7, 8, 10 or higher (32 bit or 64 bit).

·Wide Area Network (WAN), Local Area Network (LAN) or Peer-to-Peer Network.

·Server or Host PC: 210MB Hard Disk space plus additional space for database.

·Workstation: 110MB Hard Disk space.

·Memory Usage: 30MB RAM approximately.

* You can use either a Server or a Host PC, but you don’t need both.

Specifications

·Workstations connect with the PhonePad 5 Server via TCP on port 12600.

·The internal notification messaging and broadcast system uses TCP port 12601.

·The Caller ID service uses UDP on port 3520 and 12605.

·The Auto-Discovery System uses UDP on port 15350.

·Embedded internal, self-managed, zero-configuration SQL database engine.

·Message storage capacity: over 1 billion messages.

PhonePad Port Usage


Installing PhonePad 5 Server

The PhonePad 5 Server application installs as a Windows service. It can be installed on either a Server or a Host PC.


Download PhonePad 5 Server Setup

Download the PhonePad 5 Server installer (phonepad5serversetup.exe) from the download page of the Cybercom Software website.


Anti-Virus Software

If your anti-virus software has a real-time scanning feature it is strongly recommended that you disable it on your Server or Host PC.

Please read the Anti-Virus, Anti-Spyware and Other Security Software section.


Installing PhonePad on a Server


Installation

Follow these steps to install the PhonePad 5 Server:

1.Run the installer (phonepad5serversetup.exe).

2.When the Welcome screen appears, click Next to continue.

3.Read the End User License Agreement. Select I accept the agreement and then click Next.

4.The installer will create shortcuts on your desktop. If you don't want the shortcuts then uncheck the Create a desktop shortcut check box.

5.Click the Install button to begin installation.

6.PhonePad 5 Server will now install. It should only take a few seconds.

7.Once the install has finished, a program called Setup Service will automatically start.

8.It will automatically install and start the PhonePad 5 Server service.

9.If you get an errors please try running ServiceSetup again (it's located in the PhonePad 5 Server folder).

LightBulb

Setup Service will automatically add the necessary inbound and outbound exception rules to the Windows Firewall on the Server or Host PC so that PhonePad 5 on your workstations can connect to and communicate with the PhonePad 5 Server on your Server or Host PC.


Installing PhonePad on a Host PC

If you don't have a Server you can use one of your computers to act like a server, while still being used as a workstation. We call this a Host PC.

When selecting a computer to be a Host PC we recommend not selecting a computer that has a heavy workload. If it normally does a lot of number crunching or graphics processing, it may slow down PhonePad for all of your users. The best option is to choose the fastest computer you have with the least amount of workload.

Although the Host PC doesn't have to be logged in when users want to use PhonePad, it does need to be turned on. For automatic backups and other automated functions to work it is ideal to always leave the Host PC turned on.

PhonePad 5 Server must be installed on a local drive of the Host PC. Do not install it on an external drive like a USB drive or a NAS drive otherwise you will have problems.


Installation

Follow these steps to install the PhonePad 5 Server:

1.Run the installer (phonepad5serversetup.exe).

2.When the Welcome screen appears, click Next to continue.

3.Read the End User License Agreement. Select I accept the agreement and then click Next.

4.The installer will create shortcuts on your desktop. If you don't want the shortcuts then uncheck the Create a desktop shortcut check box.

5.Click the Install button to begin installation.

6.PhonePad 5 Server will now install. It should only take a few seconds.

7.Once the install has finished, a program called Setup Service will automatically start.

8.It will automatically install and start the PhonePad 5 Server service.

9.If you get an errors please try running ServiceSetup again (it's located in the PhonePad 5 Server folder).

LightBulb

Setup Service will automatically add an exception rule to your Windows Firewall so that PhonePad 5 on your workstations can connect to the PhonePad 5 Server on your Server or Host PC.


PhonePad 5 Workstation

PhonePad 5 Workstation is not installed as part of the PhonePad 5 Server installation, so you will need to install it separately on your Server or Host PC.


Installing PhonePad 5 Workstation on My Server or Host PC

Host PCs

If you are installing PhonePad 5 Server on a workstation then you can continue to use that computer as you would any other workstation. PhonePad 5 Server will run in the background as a Windows Service. You will need to also install PhonePad 5 Workstation on this computer.

Even if you choose to make the Host PC a dedicated machine that isn't used as a standard workstation, it is recommended that you install PhonePad 5 Workstation. There are a couple of reasons for this:

·The Application Update feature can only be run from a Server or Host PC.

·If PhonePad 5 isn't working on any workstations, you can run it on your Host PC to verify whether or not it's a problem with PhonePad 5 Server.

Servers

The reasons why it's a good idea to install PhonePad 5 Workstation on your server is the same as for a Host PC:

·The Application Update feature can only be run from a Server or Host PC.

·If PhonePad 5 isn't working on any workstations, you can run it on your Host PC to verify whether or not it's a problem with PhonePad 5 Server.


What is a Host PC?

We often mention the term "Host PC". So what is a Host PC?

It is a standard Windows computer running a standard version of Windows. We call it a Host PC because it hosts the PhonePad 5 Server and your PhonePad 5 database. Your workstations running PhonePad 5 Workstation connect to this computer.

The Host PC acts like a server but it is not a true server. A true server would be running a version of Windows Server Edition. A Host PC works like a server but doesn't need the special edition of Windows. It works with your normal version of Windows. You can also use a Host PC as a normal workstation while it's being used as a host.

Host PCs are typically used on Peer-to-Peer networks (networks that don't have a centralized server), although there's no reason why you couldn't use a Host PC on a Local Area Network (a network that does have a server).

If you're going to use a workstation as a Host PC please don't pick the slowest computer you have. We often see old computers running Windows XP used as Host PCs while all the other machines are fast computers running Windows 10. The Host PC will have multiple users connecting to it simultaneously so the computer needs to be handle the load.

Here's what we consider to be important criteria for a Host PC:

·It needs to be reasonably fast. If possible, choose the fastest computer you have on your network.

·Don't select an overworked computer to be the Host PC. If it does heavy processing or number crunching then response times from PhonePad 5 Server will be affected.

·The computer needs to be switched on most, if not all, of the time. If the Host PC is off then users won't be able to connect. Also, automated database tasks like backups won't be performed.


Installing PhonePad 5 Workstation

The PhonePad 5 workstation application should be installed on each workstation. It is also recommended that you install it on your Server or Host PC.


Download PhonePad 5 Workstation Setup

Download the PhonePad 5 Workstation installer (phonepad5workstationsetup.exe) from the download page of the Cybercom Software website.


Installing PhonePad 5 on a Workstation

Follow these steps to install the PhonePad 5 Workstation:

1.Run the installer (phonepad5workstationsetup.exe).

2.When the Welcome screen appears, click Next to continue.

3.Read the End User License Agreement. Select I accept the agreement and then click Next.

4.The installer will create shortcuts on your desktop. If you don't want the shortcuts then uncheck the Create a desktop shortcut check box.

5.Click the Install button to begin installation.

6.PhonePad 5 Workstation will now install. It should only take a few seconds.

7.Once the install has finished, information about the default administrator user account will be displayed. You will need this information to login to PhonePad so that you can create some user accounts. Click Next to continue.

8.Click Finish to complete the install.

9.PhonePad 5 should start automatically.

LightBulb

The great news with PhonePad 5 is that you will only need to install it on each workstation once. When new versions of PhonePad are installed on the Server or Host PC, each workstation will be automatically updated with the new version.


Setting a Startup Delay

If you have PhonePad 5 Workstation set up to start when Windows starts, you will get connection errors if your network card is still initializing. Network connections can take a little while to start, especially wireless connections.

To compensate for this you can get PhonePad to wait for a network connection to become available when it starts.

To set this up:

1.Run Workstation Config on the workstation.

2.

3.Select the Settings tab.

4.

5.Check the Wait for Network Connection on Startup check box.

6.

7.Click the Save button.


Data Migration

If you are upgrading from PhonePad 4, you can transfer your data over to PhonePad 5 using the data migration wizard. The program is located in your PhonePad 5 Server folder, which by default is installed under C:\Program Files (x86)\PhonePad5Server (or sometimes C:\PhonePad5Server).


Preparing for Data Migration

Data migration needs to be performed on your Server or Host PC You will need to be able to access your PhonePad 4 database from this machine.

PhonePad 5 will not accept usernames containing spaces, double-quotes ("") or periods (.) so you will need to rename some of your usernames if they contain any of these characters.


Migrating Your Data

1.Run DatabaseMigrator.exe.

2.The Introduction screen will be displayed. Click Next to continue.

3.Read the Instructions on this screen. As the instructions state, you can only migrate your data over from PhonePad 4 if the PhonePad 5 database is completely empty. This to avoid any conflicts with the data that could result from combining new data with imported data. Click Next to continue.

4.You will need to select the location of your PhonePad data folder.

5.Click Next. The wizard will check the location you specified. If it can't find your PhonePad 4 database in that location it will show an error message.

6.When the following screen appears, the wizard will attempt to locate your PhonePad 5 database. If it is unable to locate your PhonePad 5 database it will show an error message. Click Next to continue.

7.The wizard will attempt to connect to your PhonePad 4 database. If all goes well you should see a success message on this screen. Click Next to continue.

8.The wizard will then attempt to connect to your PhonePad 5 database. If everything is ok you should see a screen like the one below. Click Next to continue.

9.This screen allows you to select which data will be migrated to PhonePad 5. You should leave all check boxes checked unless you definitely don't want some data migrated. Click Next to continue.

10.Things are looking good if you see this screen. All checks have been successful and the wizard is ready to go. Be aware that this could take a while if you have a lot of messages and/or contacts in PhonePad 4. Click Next to continue.

11.Let's kick it off. Click the Start Data Migration button to begin.

12.We're off and the transfer of data is in motion. Do not interrupt this process or you will have to re-create your PhonePad 5 database by reinstalling your PhonePad 5 Server.

13.Hopefully all goes well and you eventually get this message:

14.Click the OK button, then click Next to continue.

15.All of your PhonePad 4 data should now be in PhonePad 5. Click Finish to close the wizard.

So let's review what just happened:

·New user accounts were created in PhonePad 5 based on the usernames and passwords from PhonePad 4. Any users that had administrator rights will have system administrator rights in PhonePad 5.

·All messages were transferred.

·All follow up notes were migrated.

·All folders, both public and personal were migrated.

·All archived messages and follow up notes were migrated.

·All Address Book contacts were transferred.

What wasn't transferred:

·Deleted messages were not transferred.

·Any messages in the message queue for Automatic Message Forwarding (using MessageSender) were not transferred.


Getting Started

Follow the steps in this chapter to get PhonePad 5 up and running.


Setting Up the Connection to the Server

You may be pleased to know that once you have installed PhonePad 5 on your workstations there is nothing else you need to do. You don't need to configure PhonePad to connect to the Server or Host PC.

When PhonePad starts up it will try to auto-discover any PhonePad 5 Servers on your network. Your workstations will automatically establish a connection with the server once it finds it.

If PhonePad is unable to connect to the PhonePad 5 Server then it will be due to one of the following reasons:

·The PhonePad 5 Server Windows service has not been installed or is not running.

·A router, bridge, or brouter (bridge router) on your network may be blocking UDP broadcasts and or TCP/IP connections.

·A firewall, and/or security software, on the Server or Host PC, or on the workstation is blocking the connection. You may need to configure it to allow the connection.

When you use Control Center to install and start the PhonePad 5 Server it will automatically add an exception rule to the Windows Firewall so that PhonePad 5 Workstation can connect to the Server or Host PC. If you have 3rd party anti-virus and/or firewall software installed it may not be enough to unblock the connections. You may need to configure your 3rd party software to allow the connections.


Connection Troubleshooter

If PhonePad is unable to locate the PhonePad 5 Server, or if it is able to locate it but is unable to connect, then the Connection Troubleshooter wizard will automatically open.

The wizard will try to help you determine what is causing the connection issues. In most cases it is Anti-Virus software

Step through each screen by clicking the Next button, and try each of the suggestions.


What to Do if PhonePad Can't Find the Server

If you have tried everything and still can't find out what is blocking PhonePad's automatic connection system, then you can override the server auto-discovery system by manually specifying the server settings.

1.Run the Workstation Configuration application (WorkstationConfig.exe) - it's located in the PhonePad 5 folder on each workstation.

2.Select Disable Auto-Discovery of Server.

3.Enter the Server's IP Address.

4.Click Save.

5.Click Exit.

6.Try starting PhonePad again. You should now be able to connect to the Server or Host PC.

warningsymbol32x32

Using the ServerOverride setting will disable the automatic connection system so any changes to the Server IP Address will not be detected.


Starting PhonePad

Double-click the PhonePad 5 icon to start PhonePad.

PhonePad will auto-discover any PhonePad 5 Servers on the network and establish a connection.

It will then check for any workstation updates and install them if they are found.

The version number of PhonePad is displayed at the bottom of this screen.


Version Mismatch

The PhonePad 5 Workstation and PhonePad 5 Server software should always be the same version. If they're not then PhonePad may not function correctly.

Normally you shouldn't have to worry about this as the PhonePad 5 Server should keep the versions on the workstations and Server/Host PC synchronized.

To avoid problems, PhonePad will check both version numbers on start up. If there is a version mismatch then an error message will be displayed:


What Can Cause a Version Mismatch?

The most common cause of a version mismatch between the PhonePad 5 Workstation software and the PhonePad 5 Server software is this scenario:

·PhonePad 5 is already up and running on a network and a new computer is installed. PhonePad 5 Workstation is downloaded from the website and installed on the new computer, but the version downloaded is a more recent version.

There are 3 ways to avoid this scenario:

1.Retain a copy of the original Workstation setup program you downloaded when you installed PhonePad. Use this copy to install PhonePad 5 Workstation on all new computers. Or download the same version from your My PhonePad account at www.myphonepad.com.

2.Install PhonePad 5 Server Updates whenever they are released.

3.Keep your system up-to-date with the latest releases by setting up automatic updates.

Another far less likely cause is that the automatic workstation updates done by the PhonePad 5 Server have failed for some reason. This can happen if the workstation has insufficient access rights for the PhonePad 5 folder. If this happens, check the access rights for the PhonePad folder and files.


Trial Period

If you are using PhonePad during the trial period you will see the trial screen appear when PhonePad starts up.

The number of days left of your trial will be displayed on this screen.

Click the Continue Trial button to continue using PhonePad.

Click Purchase to buy PhonePad.

Click License to change your trial version into a fully licensed version. Once this has been done the trial screen will no longer appear.

Click Exit to close PhonePad.


Logging In

The login dialog is displayed when PhonePad starts up.

When logging in for the first time, use the default administrator account to login:

Username: Admin

Password: admin

The username is not case-sensitive but the password is. Make sure CAPS LOCK is not on.

Once you have typed in your user name and password, click OK to continue the login process. You will be given three attempts to login. After a third unsuccessful attempt PhonePad will automatically shut down.

If you click on the "eye" icon and hold down your mouse button, it will reveal the password you entered. You can use this to verify that you entered your password correctly.

Notice the I forgot my password link on the login dialog? This is a feature that you can enable for users and yourself. PhonePad can send the password to a user's email address or cell/mobile phone.

The login dialog also displays the IP Address of the PhonePad 5 Server you are connected. This can be useful if you have multiple PhonePad 5 Servers on your network.

The PhonePad version number is also shown on the login dialog (it is 5.18.0 in this example).


Welcome Screen

After you login, the Welcome window should be displayed (unless the Show on Startup check box has been unchecked).

This window has a number of handy links in addition to a graphical overview of the current status of all of your messages.


Add Some Users

One of the first things you will want to do as a PhonePad administrator is to set up user accounts for each of your users.

Refer to the Adding Users section.


I Forgot My Password

Do yourself a big favor and enable the I Forgot My Password option. When a user forgets their password they can click this link and have their password sent to them by email, SMS or Pushover. That means you won't have to spend time resetting user passwords.

To enable this feature, you will need to set your Communication Settings and Notifications.


User Interface

The main window features menus, a multi-tabbed toolbar, the folder tree, the inbox, follow up notes and the status bar. The window's title bar shows the currently logged-in user.


Toolbar

PhonePad 5 features a multi-tab toolbar, organized by functionality. These features can also be accessed via the menus.


Home Tab

1 | Check for new messages.
2 | Create new incoming phone message.
3 | Create new outgoing phone message.
4 | Create text message (not to be confused with SMS messages).
5 | View message.
6 | View CallFlow.
7 | Delete message.
8 | Short Messages.
9 | Forward message.
10 | Reply to message.
11 | Resend message (only applies to message in the Sent folder).
12 | Search for a message.
13 | Print message.
14 | Quick print message.
15 | Print message list.
16 | Email selected message.
17 | Dial phone number in the selected message (requires TAPI devices).
18 | Access the PhonePad Address Book.
29 | Open WhereRU, the PhonePad In-Out Board.
20 | Open Instant Chat, and instant messaging application included with PhonePad.
21 | Appointment Calendar. Open the Appointment Calendar application.
22 | Exit PhonePad (also logs out).
23 | Show About window.
24 | Show online help.


Folders

Folders Tab

1 | Create a new folder.
2 | Edit a folder.
3 | Delete a folder.
4 | Move messages to another folder.
5 | Empty a folder.
6 | Undelete a message in the Deleted folder.


Follow Up Tab

1 | Mark/unmark message for Follow Up.
2 | Add Follow Up note.
3 | Edit Follow Up note.
4 | Delete Follow Up note.
5 | View Follow Up note.
6 | Mark Follow Up as Completed.
7 | Add Reminder.
8 | Manage Reminders.
9 | View Reminders.
10 | View Call History for Caller ID.
11 | Open the To Do list.


Settings Tab

1 | Change PhonePad password.
2 | User Preferences.
3 | Automatic Message Forwarding settings (requires MessageSender 6 to work).
4 | Caller ID Settings.
5 | Select the columns you want displayed in the selected message list. Each of the message lists can be set independently of each other, eg. Inbox, Sent folder, Outgoing folder, etc.
6 | Refresh all lookup lists. The lookup lists are updated regularly but it can sometimes take a little while to propagate to all workstations. You can force the lookup lists to update immediately.


Manager Tab

1 | Manage Users.
2 | External Users.
3 | Manage Groups.
4 | Label Editor.
5 | Manage Lookup Lists (Categories, Contact Types, References).
6 | View Archived Messages.
7 | Archive Messages.
8 | Message Overview.
9 | Master View.
10 | Dashboard.
11 | Reports.
12 | Find duplicate Address Book entries.
13 | Manage each user's email addresses on one screen.
14 | Manage which users are displayed in the Appointment Calendar.

The Manager toolbar is only visible to users with the Manager or Administrator role.


System Admin Tab

1 | Automatic Backups.
2 | Perform a manual backup.
3 | View backup logs.
4 | Repair database.
5 | System Rules.
6 | Communication Settings.
7 | MessageSender Queue.
8 | Notifications.
9 | Server Logs.
10 | Logout Users.
11 | Broadcast a message to all users.
12 | Server Updates.
13 | Remote Access.
14 | System Maintenance (use with caution).
15 | Server Sessions.
16 | Speed Test.
17 | Log Viewer.
18 | SQL Performance Monitoring.
19 | MessageSender Settings.

The System Admin tab is only visible to users with the Administrator role. Standard users and Managers cannot access this tab.


Help Tab

1 | Go to PhonePad Home Page.
2 | View the Latest News on the Cybercom Software Blog.
3 | Access the online support center when you need help with something.
4 | Go to your online PhonePad account.
5 | Lodge a support request. You can alternatively send an email to support@cybercom-software.com
6 | Send us your suggestions. We love getting feedback. Suggestions often lead to valuable new features so have at it.
7 | Leave a review of PhonePad and Appointment Calendar. Your review is invaluable in informing and attracting new customers. This helps us stay in business, developing PhonePad and new products we have lined up. Please consider leaving a review. It only takes a couple of minutes.
8 | Display important system information. Often needed for support purposes.
9 | Show Tip of the Day.
10 | View the What's New window.
11 | Buy PhonePad 5 if you don't already have a license, or upgrade to another version or edition.
12 | Enter your license details to license your copy of PhonePad. This is a system-wide setting so it only needs to be done once.
13 | Display your PhonePad license details.
14 | Display your current Update Plan details.
15 | Go to the Video Tutorials page on our website.
16 | View the Admin Guide
17 | View the User Guide.
18 | Show About window.
19 | Show online help.


Menus

PhonePad 5 has 6 menus. Many of the features covered by the menus can also be accessed via the toolbar.


File Menu

New Phone Message | Open a new phone message for logging an incoming call.
New Outgoing Message | Open a new phone message for logging an outgoing call.
New Text Message | Open a new text message. This is not the same as an SMS text message.
View Message | Open the selected message for viewing.
Delete Message | Delete the selected message. Deleted messages are moved to the Deleted Folder.
Sending Options | Forward, reply to, or resend the selected message.
Email Message | Email the selected message.
Short Messages | Send quick messages to other users using SMS or Pushover.
Inbox Filtering | Filter the messages in the Inbox.
Dial Number | Dial the phone number contained in the selected message, if you have a TAPI compliant device attached.
Follow Up | Mark/unmark a message for Follow Up, or mark a message as completed.
Print Setup | Specify the default printer to use.
Print | Print the selected messages.
Print Message List | Print a list of all messages.
Quick Print | Print the selected messages using a simplified layout.
Check Inbox | Check for any new messages.
Switch User | Log out and log in as another user.
Exit (and Logout) | Log out of PhonePad and close it.


Tools Menu_2

Tools Menu

Search | Search for messages by caller, company, phone number, message text and subject.
Address Book | Maintain all of your PhonePad contacts.
Rename Address Book Company | Rename a company wherever it appears in the Address Book.
Password | Change your PhonePad password.
Refresh Inbox | Force update the message list in Inbox.
Refresh User List | Refreshes the user list if it is displayed. The user list is only displayed if you have access to other user's folders.
Disable Confirmation Dialogs | Provides a way to disable all confirmation dialogs at once, instead of disabling them individually in Preferences.
Disable Voice Announcements | Provides a way to disable all voice announcements at once, instead of disabling them individually in Preferences..
Automatic Message Forwarding | Specify your message forwarding settings. Requires MessageSender 6.
Appointment Calendar | Open the PhonePad Appointment Calendar.
Control Bar | This toolbar gives you quick access to common PhonePad features. It runs separately from PhonePad.
Instant Chat | Open InstantChat, the instant messaging application.
To Do List | Open the To Do List application.
Message Alert | If you have access to multiple Inboxes, Message Alert can give you new message notifications for each Inbox.
WhereRU | Open WhereRU, the staff availability application.


View Menu

Welcome Screen | Open the Welcome window. This window can be set to display at startup.
User Interface Mode | Select the User Interface Mode most suitable to the way you work: Basic, Standard, Advanced and Custom.
Show Follows Ups | Show/Hide the Follow Ups tab.
Caller Information | Show/hide the Caller Information tab.
Message Preview | Show/hide the Message Preview tab.
Call History | Open the Call History window. If your network has a Caller ID device connected then this window will show all incoming and outgoing calls.
Received Calls | Open the Received Calls window. If the computer is connected to a TAPI-compliant device then this window will show all phone calls received.
CallFlow | Open the CallFlow window, which displays all messages for the selected caller.
Preferences | Customize your personal settings for various features.
Caller ID Settings | If you have a TAPI-Compliant device or a CallerID.com device, then you can configure PhonePad to use them by selecting this option.
Customize Toolbar | Allows you to show or hide buttons on the various toolbars so that only the buttons you use are displayed.
Message List Columns | Set the columns you want appearing in each folder. Edits the message list in the selected folder.


Manager Menu

User Management | Create, edit and delete users, set Address Book permissions, and more.
External Users | Create, edit and delete external users.
Manage Groups | Add, edit and delete groups.
Label Editor | Customize some of the labels in the phone messages window.
Archives | Open the message archives.
Archive Messages | Archive messages for all users based on the date.
Overview | Provides a graphical overview of the current status of messages for all users.
Master View | The Master View is essentially a master Inbox. It shows all messages that are currently in all user Inboxes.
Dashboard | Launch the Dashboard.
Reports | Open the reports window where you can run a number of reports.
Address Book Duplicates | Searches the Address Book for duplicate entries.
Show Users in Calendar | Manage which users are displayed in the Appointment Calendar.
Email Accounts | Manage each user's email addresses on one screen.

The Manager menu is only visible to users with the Manager or Administrator role. Standard users cannot access this menu.


System Admin Menu

AutoBackup | Maintain the Automatic Backup system.
Backup Database | Manually backup your PhonePad database.
Backup Logs | View the backups logs for automatic and manual backups.
Repair Database | Repair the PhonePad database if you have some data corruption.
System Logs | The system logs keep a history of system processes that have been run, eg. repairs, backups, etc. as well as any errors the system has encountered.
System Rules | Define system wide settings that apply to all users.
Communication Settings | Add system-wide settings for email, SMS and Pushover. Applies to many features including MessageSender.
MessageSender Message Queue | Enables you to view and manager the MessageSender message queue directly from within PhonePad.
Notifications | Receive notifications when system events occur. Also set up Forgot My Password so that users can receive their password when they forget it.
Lookup Lists | Maintain various lookup lists.
Logout Users | Force all users to log out of PhonePad, except you. This is sometimes need when performing system maintenance such as database repairs or PhonePad 5 Server updates.
Broadcast | Broadcast a message to all PhonePad users.
Server Updates | Check for any new versions of PhonePad. Used to download and install updates to the server and workstations.
Remote Access | Set up Remote Access so remote users can login to PhonePad 5 over the Internet.
Speed Test | The Speed Test measures the response time between a workstation and the PhonePad 5 Server.
System Maintenance | We strongly recommend you don't use any options on this screen unless advised to by Support.
Server Sessions | Displays all currently logged in users.
Log Viewer | Opens the Log Viewer.
Monitor SQL Performance | Allows you to log SQL performance to identify any bottlenecks that may be slowing server response times.
MessageSender Settings | Configure MessageSender from within PhonePad (avoids having to go to your Server or Host PC).

The System Admin menu is only visible to users with the System Administrator role. Standard users and Managers cannot access this menu.


Help Menu

Introduction | Display online help.
Main Screen | Display an online help topic about PhonePad's main window.
Manuals | Open the User Guide and/or Admin Guide from within PhonePad.
Video Tutorials | Go to the Video Tutorial page on the website.
PhonePad Home Page | Go to the PhonePad home page.
Latest News | View the latest PhonePad news.
Support Center | Access the online support center when you need help with something.
My PhonePad Account | Go to your online PhonePad account (My PhonePad) where you can view your license details, update your contact information, etc.
Support Request | Lodge a support request if you're having problems.
Suggestions | Tell us your suggestions for improving and enhancing PhonePad.
Review PhonePad | Reviews help potential customers make an informed decision about purchasing PhonePad, and help us get more customers so that we can continue to develop it.
System Information | Displays important system information. Often needed for support purposes.
Tip of the Day | Displays random tips designed to help you get the most out of your software.
What's New in This Version | Displays the changes that have been made in the installed version of PhonePad 5.
Purchase | Buy PhonePad 5 if you don't already have a license, or upgrade to another version or edition.
License PhonePad | Enter your license details to license your copy of PhonePad. This is a system-wide setting so it only needs to be done from one workstation.
Upgrade Your License | Upgrade your license to add more users.
Your License Information | Display your PhonePad license details.
Update Plan | Display your current Update Plan details.
Suggestions | Tell us your suggestions for improving and enhancing PhonePad.
Popup Hints | If checked, popup hints will be displayed for toolbar buttons.
About | Display information about PhonePad.


Inbox

The Inbox is where you'll probably spend most of your time in PhonePad. It contains all of the messages you receive.

1 | Message Filter. Select the filter you want to apply from the drop-down menu.
2 | The Search option allows you to search for messages in your Inbox. Click the small button to open the search feature.
3 | Inbox message list. Like the other folders, the Inbox features a color-coded message list.
4 | The Follow Up Notes tab displays all notes for the selected message.
5 | The Caller Information tab displays contact information for the caller in the selected message. You can show/hide this tab on the View menu.
6 | The Preview tab shows a preview of the selected message. You can show/hide this tab on the View menu.


Folder Tree

The Folder Tree gives you quick and easy access to all of the folders in PhonePad.

Inbox | The Inbox is the default folder view in PhonePad and it is where you access all of your received messages.
Outgoing | Any outgoing calls you log can be found in the Outgoing folder.
Sent | When you log an incoming call and send the message to other users, PhonePad keeps a copy of these messages in the Sent folder.
Deleted | The Deleted folder is where your messages end up when you delete them. If you need to undelete a message go to this folder. Important: any messages in the Deleted folder are automatically deleted by the system after 14 days.
Personal Folders | The Personal Folders folder is a storage area for any personal folders you have created.
Public Folders | The Public Folders folder is a storage area for any public folders that exist in PhonePad, ie. any public folders created by you or anyone else.
Groups Folders | The Group Folders folders contain folders for any groups set up by a PhonePad administrator.


User List

If you have been given access to other user's Inboxes by a PhonePad administrator, an user list will appear to the left of your Inbox.

You can access another user's Inbox simply by selecting their name from the user list. You will then be able to access all of their Inbox messages.


Status Bar

The Status Bar sits at the bottom of the PhonePad main window.

1 | The left side of the Status Bar displays extended hints when the mouse is moved over toolbar buttons and menu items.
2 | Displays the IP Address of the PhonePad Server you are connected to.
3 | Displays the PhonePad Version Number.
4 | Shows how many unread messages are in your Inbox.
5 | Shows how many read messages are in your Inbox.
6 | Shows the total number of messages that are in your Inbox.
7 | Click to access Instant Chat.
8 | Shows how many due reminders you have. Click to view the due reminders.
9 | Status indicator for the PhonePad Workstation Notification Service. This should be green.
10 | Shows the current date and time. The format is controlled by System Rules, which is set by a PhonePad administrator.
11 | The resize handle allows you to resize the main screen.

LightBulb

If you click on the Unread Messages, Read Messages or Total Messages parts of the Status Bar your Inbox messages will be filtered for you.


Splitters

You may have noticed these little dividers between panes on the main window.

Image: Horizontal and Vertical splitters.

These are called "splitters" as they split the panes they are connected to. These splitters allow you to resize the pane you are viewing so that you can see them better. If you click on the bar with the arrows, it will open or close one of the panes.

If you position the mouse cursor outside of the bars you will see a double-arrowed cursor. By then clicking on the splitter you can resize either pane to your liking.

Image: All splitters closed.

In this example you can see that all of the splitters have been closed, allowing the Inbox to fill up all of the available space.


User Interface Modes

PhonePad 5 can seem a little overwhelming with the many features and options available. To help ease into using PhonePad you can minimize the number of features available using User Interface Modes.

There are 3 modes available: Basic, Standard and Advanced. Basic and Standard show a subset of features, while Advanced (the default) shows all features.

You can set the mode by selecting User Interface Modes from the View menu, and then selecting the appropriate mode.

User Interface Modes

If you want more precise control over which buttons are shown on the toolbars, use the Toolbar Configuration feature. The Custom mode is used when you modify the toolbar configuration.


Configuring the Toolbars

If you don't use all of the features in PhonePad you can modify the toolbars so that only the buttons for the features you use are shown.

To do this, select Customize Toolbar from the View menu.

The Customize Toolbar window will appear.

Each of the toolbar tabs are shown (only administrators will see the Manager and System Admin tabs).

To hide a button from the toolbar just uncheck the check box next to it.

When you have made all the changes you want, click the OK button to save them.

The User Interface Mode option on the View menu will be set to Custom. You an easily switch between showing all toolbar buttons or just the buttons you have set by selecting either Advanced or Custom.


Managers


Managing Users

Select the Manager tab on the toolbar and click the Manage Users button, or select Manage Users from the Manager menu.

In the above example you can see what this window looks like once you have added a few users. At a glance you can see quite a bit of information about each user, including:

·Their User Type.

·The last time they logged in.

·Their workstation's IP Address.

·The name of the computer they logged in on.

·Their Windows username.

·The version of Windows on their computer.

·The version of PhonePad they are using.

Managing Users Buttons
Add | Add a new user.
Edit | Edit the selected user.
Delete | Delete the selected user.
Access | Manage the selected user's access to the Inboxes of other users.
Address | Set the Address Book permissions for the selected user.
Calendar | Set Appointment Calendar permissions. Used to grant access to other user's calendars.
Auto | Manage the selected user's Automatic Message Forwarding settings.
SMS | Manage the selected user's ability to directly send messages by SMS and Pushover.
Logs | View a complete history of when the selected user logged in and logged out of PhonePad, including which workstation they used.
Pref | Displays the Preferences of the selected user in the format they are stored in within the database. Used to fix issues with user preferences.
ToDo | Manage access to each user's To Do List.
Import | Add multiple users by importing them.
Refresh | Refresh the user list.
Close | Close the User Management window.
Help | Access online help.


Adding Users

Select the Manager tab on the toolbar and click the Manage Users button, or select Manage Users from the Manager menu.

To add a user, click the Add button on the User Management window.

In the example above, we are adding a new user named Jaime.

1 - User Account (Mandatory)
Username | Enter a name for the user. They will use this to login to PhonePad.
Password | Enter a password for the user. Passwords are required by PhonePad.
Confirm | Enter the password again to make sure you didn't mistype.

2 - User Access (Mandatory)
User Type | Select a User Type for the user. They can be a Standard User (the default), a Manager, or an Administrator. . ·Managers can only create Standard User accounts. ·Administrators can create all 3 account types. See the Administrators topic for more information
Login Enabled | This should be checked (the default) unless you don't want the user to be able to login.
Login Expires | You can optionally set the user account to automatically expire at a specified date. This can be useful for temporary employees or contractors.
Hidden Account | A hidden account won't appear in any user lists. It can be logged into but users won't be able to send messages to this user.

3 - User Details (Optional)
Firstname | The user's firstname.
Lastname | The user's lastname.
Display Name | If you enter a name here, it will be displayed on the Inbox Title Bar and the User List (next to the Inbox) instead of their Username. This can be useful where you use Usernames that are difficult to read. For example, you might use the user's full name including any middle names. This could be quite cumbersome, especially if they have a long last name like Snuffleupagus.
Email | The user's email address. If you want to use the I Forgot My Password feature then the email address will be required if forgotten passwords will be sent by email.
Phone | The user's phone number.
Cell/Mobile | The user's cell/mobile number. If you want to use the I Forgot My Password feature then the cell/mobile number will be required if forgotten passwords will be sent by SMS.
Job Title | The user's job title or position.
Area | Where the user works.
Location | The user's location.

4 - Photo (Optional)
Load | Allows you to load a photo of the user. Only JPG files are currently accepted.
Clear | Removes the photo.

5 - CalendarSync (Future feature still under development)
Google Email | TBA
Outlook Email | TBA
iOS Email | TBA

6 - SMS (Optional)

SMS Email

Some cell/mobile phone providers supply customers with an email address that they can use to send SMS messages. If the user's provider does that, then it can be used with the I Forgot My Password feature.

7 - Pushover (Optional)
Device Name | Enter a Pushover device name for the user. The device needs to be listed under your Pushover account for your business. If you want to use the I Forgot My Password feature then the Pushover device name will be required if forgotten passwords will be sent by Pushover.
Pushover Email | The Pushover email address is a more flexible option than using the Device Name. One of the reasons is users can have their own Pushover account instead of you having to use a business account.

8 - Appointment Calendar

Show User in Appointment Calendar

If you want the user to have a calendar in Appointment Calendar then check this checkbox.

LightBulb

Only User Account and User Access fields are required. The others are optional.


Editing Users

You can change any of a user's details simply by selecting the user from the list and clicking the Edit button, or by double-clicking on the user.

Please refer to Adding Users for an explanation of the fields.


Deleting a User

Select the Manager tab on the toolbar and click the Manage Users button, or select Manage Users from the Manager menu.

You can delete a user by selecting them from the list and then clicking the Delete button. You will be asked to confirm the deletion.

Delete user account | Deletes the user account but leaves messages and folders intact.
Delete user account including all messages and folders | Completely deletes the user account and all messages and folders they have.
Just disable user account | Disables the user account so they can't login. Messages and folders remain intact.
Cancel deletion | Cancels deleting the user.

warning

Once a user's account, messages and folders have been deleted they cannot be recovered. You could restore this data from a backup but then you would overwrite more recent data.


Giving a User Access to Another User's Folders

Select the Manager tab on the toolbar and click the Manage Users button, or select Manage Users from the Manager menu.

You can provide a user access to one or more other user's folders. In PhonePad 4 this was known as "Receptionist Mode".

This access is ideal for receptionists, executive assistants, office managers, and others who need access to other users messages. The access can be given and revoked at any time by a Manager or Administrator.

Select a user from the list and click the Access button

The username you selected will be displayed in the User Access window's title bar, as shown above. In this example we selected Abigail, because we want to give Abigail access to other user's folders.

To give her access to Alfred's folders, we select Alfred from the list on the left and then check the Inbox check box. We can then go ahead and select additional users to give Abigail access to if we want. Once the OK button is clicked she will immediately have access (although she may need to restart PhonePad).

Note: The only folder option in this release of PhonePad is the Inbox. However, other folders will be added in future releases.


User List for Viewing Inboxes

If you have been given access to other user's Inboxes by a PhonePad administrator, an user list will appear to the left of your Inbox.

You can access another user's Inbox simply by selecting their name from the user list. You will then be able to access all of their Inbox messages.


Setting Address Book Permissions

You can restrict the level of access each user has to the PhonePad Address Book, or you can give them full access to all features.

For example, you may have a temporary employee and you're worried that they may abscond with your contact list when they leave. You could disable their ability to print and export Address Book entries.

Select a user from the list and click the Address button.

In the above example we are setting the Address Book permissions for Jane. By default, Jane has the following permissions (as do all users):

·Add Entries

·Edit Entries

·Delete Entries

·View Entries

·Print Entries

These are the permissions you can set:

Add Entries | If checked, the user can add contacts to the Address Book.
Edit Entries | If checked, the user can update contacts in the Address Book.
Delete Entries | If checked, the user can delete contacts from the Address Book.
Delete All Entries | If checked, the user delete all contacts from the Address Book.
View Entries | If checked, the user can view contacts in the Address Book.
Print Entries | If checked, the user can print Address Book contacts.
Import Entries | If checked, the user can import contacts into the Address Book.
Export Entries | If checked, the user can export contacts from the Address Book.


Setting Up Automatic Message Forwarding for Users

Each user can set their own Automatic Message Forwarding settings by selecting Automatic Message Forwarding from the Tools menu. As a Manager or System Administrator you can also change these settings for each user.

Simply click the Auto button to access the settings for the selected user. You can then change the settings as if you were the user.


Giving Users Access to SMS and Pushover

You can restrict access to the "Short Messages" feature in PhonePad by only letting specific users access it. This feature allows users to send quick messages using Pushover and SMS. It is completely separate from the Automatic Message Forwarding feature and is not used for forwarding phone messages.

To set the access for a user:

1.Select a user from the list of users, then click the SMS button.

2.Check or uncheck the appropriate check boxes and then click OK.

The user will be able to access the Pushover Messages and SMS Messages options from the Short Messages menu button:


User Logs

You can view the logs for any user by selecting their name and clicking the Logs button.


To Do List Access

Users can give other users access to their To Do List from within the To Do List application. However, they can't give themselves access to another user's To Do List. To gain access they need to ask each user to grant them access in the same way they give other users access.

The To Do button on the User Management screen gives Managers and System Administrators an easy way to grant access.

Select the Manager tab on the toolbar and click the Manage Users button, or select Manage Users from the Manager menu.

Select a user and click the ToDo button.

To Do List Has Access

The Has Access to These Users tab enables you give the selected user access to the To Do Lists of other users.

To Do List Can Access

The Can Access This User tab provides an easy way of giving other users access to the selected user's To Do List.


Importing Users

If you have a lot of users to add you may want to consider importing them using the Import function. Click the Import button.

1.Select the import file.

2.If you have a standard CSV file then the default settings for Separator, Enclosed Fields and Enclosing Characters should work. If they don't work then you may need to change them.

3.Set up the Column and Field Mapping. You will need to specify which columns in your CSV data match the fields used by PhonePad.

4.When you're ready click the Load button. The data will be loaded into the Imported Data grid.

5.If all looks good, click the Import button to import the users into the database.

Note: Any users already existing will not be imported.


Managers and System Administrators

Managers and System Administrators are a special type of user that have access to features that Standard Users don't have.

System Administrators have access to everything in PhonePad. A Manager has access to a sub-set of administrative functions.

The table below shows the difference between the two.

Feature | Manager | System Administrator
User Management | Star | Star
Manage Groups | Star | Star
Label Editor | Star | Star
Manage Lookup Lists | Star | Star
Message Archives | Star | Star
Archive Messages | Star | Star
Overview | Star | Star
Master View | Star | Star
Reports | Star | Star
Automatic Backup |  | Star
Backup |  | Star
Backup Logs |  | Star
Repair |  | Star
System Rules |  | Star
Communication Settings |  | Star
Notifications |  | Star
View Server Logs |  | Star
Logout Users |  | Star
Broadcast |  |
Server Updates |  | Star
Remote Accees |  | Star
System Maintenance |  | Star
Server Sessions |  | Star
Log Viewer |  | Star
Speed Test |  | Star
SQL Performance |  | Star
MessageSender Settings |  | Star


Setting Appointment Calendar Permissions

Before users can access another user's Appointment Calendar, they need to be give permission via this screen.

Access is given by setting each user's check box to checked (or unchecked to remove access).


External Users

If you have people in your business that need to receive phone messages but they don't generally access workstations then setting them up as an external user may be the answer.

External users don't have a user account so they are unable to login to PhonePad, but they can receive their messages by email, SMS and/or Pushover via MessageSender.

Select the Manager tab on the toolbar and click the External Users button, or select External Users from the Manager menu.

Add | Add a new external user.
Edit | Edit the selected external user.
Delete | Delete the selected external user.
Import | Import and/or update a batch of external users.
Refresh | Refresh the list of users.
Close | Close the External Users window.
Help | Access online help.
Search | The Search option allows you to search for users in the list, which can be handy if the list is large.

LightBulb

You need MessageSender installed for the External Users feature to work.


Importing External Users

If you have a lot of external users then you can import them from a CSV file.

The import file is expected to be in a specific format:

"Name","Email Address",Mobile/Cell Phone Number", "Pushover Device Name"

For example:

"John Smith","john@fluffyrabbitco@.com","1234567890","John_iPhone"

Not all fields need to have data but you still need to include all 4 fields - just make them empty.

For example:

"John Smith","john@fluffyrabbitco@.com","",""


Importing

To import external user, select a compatible CSV file (one user per line) and then click the Import button.

If a user in the import list doesn't exist in the system then they will be added.

If a user in the import list already exists in the sytem then their details will be updated.


Adding an External User

To add an external user click the Add button on the External Users window.

Not all fields need to be filled in but you will need at least a Username.

If the other fields are all blank then no messages will be sent to the user.

Username | This field is mandatory.
Email | Enter an email address if you want the external user to receive their messages by email.
Mobile/Cell Number | Enter a mobile/cell phone number if you want the external user to receive their messages by SMS (note that MessageSender requires an SMS Gateway account for this feature).
Pushover Device | Enter a Pushover device name if you want the external user to receive their messages by Pushover (note that MessageSender requires a Pushover account for this feature).


Editing an External User

To add an external user click the Edit button on the External Users window.

Make the changes you want and then click OK.

Username | This field is mandatory.
Email | Enter an email address if you want the external user to receive their messages by email.
Mobile/Cell Number | Enter a mobile/cell phone number if you want the external user to receive their messages by SMS (note that MessageSender requires an SMS Gateway account for this feature).
Pushover Device | Enter a Pushover device name if you want the external user to receive their messages by Pushover (note that MessageSender requires a Pushover account for this feature).


Sending Messages to External Users

When logging phone or text messages, external users will have their username prefixed with the AT symbol (@).

When you send messages to external users these message don't go into an Inbox. They are placed directly on the Automatic Message Forwarding queue and sent via email, SMS and/or Pushover.


Setting Up Groups

Groups provide an easy way to organize folders, messages and users. Once you have created a group, you can add any number of folders to it. Each folder can contain messages that only group members can access.

A nice feature of groups is that messages can be sent to a group rather than individual users. All members of the group will receive the messages.

Select the Manager tab on the toolbar and click the Manage Groups button, or select Manage Groups from the Manager menu.

This window shows how many folders and users each group has.


Adding a Group

To add a group, click the Add button.

In the example we are creating a group for a fictitious Sales department.

There are 3 options:

·Allow Group members to receive messages - when selected, any messages addressed to the group will be sent to all members of the group.

·Use a Group Inbox for receiving messages - when selected, PhonePad will create an Inbox for the group. Any messages addressed to the group will be sent to the Group Inbox. Members of the Group will automatically be given access to the Group Inbox.

·None - when selected, groups cannot receive messages.

Click OK to finish creating the group.

warningsymbol32x32

If the Use a Group Inbox for receiving messages option is selected, you will need to add at least one user to the group before the group will appear in the TO field in messages.


Editing a Group

To edit a Group, select it from the list of groups and click the Edit button.

There are 3 options:

·Allow Group members to receive messages - when selected, any messages addressed to the group will be sent to all members of the group.

·Use a Group Inbox for receiving messages - when selected, PhonePad will create an Inbox for the group. Any messages addressed to the group will be sent to the Group Inbox. Members of the Group will automatically be given access to the Group Inbox.

·None - when selected, groups cannot receive messages.

Click OK to finish editing the group.

warningsymbol32x32

If the Use a Group Inbox for receiving messages option is selected and you change it to one of the other options, the Group Inbox and all of the messages it contains will be deleted when you click the OK button.


Deleting a Group

To delete a Group, select it from the list of groups and click the Delete button.

warningsymbol32x32

Deleting a Group will also delete all Group folders and all messages those folders contain. It will also delete the Group Inbox if it exists.


Adding a User to a Group

Click the Users button.

Click the Add button.

Select a user from the User Lookup list and click OK.

Repeat the above steps to add more users.

Note: Users can belong to multiple groups.


Removing a User from a Group

Select the user and click the Delete button.

You will be asked to confirm the removal.

Click Yes to remove the user.


Group Folders

Each Group can have an unlimited number of group folders. Only users with Group membership will be able to access these folders.


Adding a Group Folder

Select the group and then click the Folders button. This window displays all of the folders for this group, as well as how many messages each folder contains and how many users

Click the Add button to add a folder.

Enter a Folder Name, and optionally a Description, then click OK.


Editing a Group Folder

Select the group folder to edit and click the Edit button, or double-click on the folder.

Change the Folder Name and/or Description, then click OK to save the changes.


Deleting a Group Folder

Select the group folder and click the Delete button. You will be asked to confirm the deletion.

warningsymbol32x32

Important: Deleting a group folder will also delete any messages it contains.


Customizing Labels

Many of the labels that appear on a phone message form can be customized using the Label Editor. These are system-wide settings so they apply to all users.

Select the Manager tab on the toolbar and click the Label Editor button, or select Label Editor from the Manager menu.

You can edit the labels by typing in the fields in the Label Editing area at the bottom part of the screen. The labels will change as you type in the fields.

Not all label fields can appear on the screen at once so you may need to scroll the field into view using the scrollbar.

You can either select the tab that contains the field you want to edit, or click on the field in the Preview area and it will take you straight to the field.

Instead of scrolling through the fields trying to find the right field to edit, simply click on the label you want to edit. The scrolling area in the Label Editing area will jump to the correct field.

If you really mess things up and want to start again, click the Defaults button. The labels will revert to their original values.

Special Fields

There are some special fields which can be "turned on and off".

To display these fields on the phone message form, you will need to check the checkbox next to the field name:

·Custom Field 1

·Custom Field 2

·Date of Birth

·Email Address

The two custom fields can be further customized by selecting the type of field:

·Edit Field.

·Drop-Down List.

If you select Edit Field, then free text can be entered into the field on the phone message form.

If you select Drop-Down List then users can select from a list of options (you will need to set the list items under Manage Lookup Lists). This gives you tighter control on what they can enter.

LightBulb

Some of the labels displayed in phone messages are also displayed in the column heading titles of message lists, eg. Caller, Company. If you change these labels the changes will also be shown in the relevant column heading titles.

warning

Important: Be aware of the length of the labels you enter. If they are too long for the available space they will be clipped or may just look really odd.


Managing Lookup Lists

Use the Manage Lookup Lists option to maintain the look up lists used in PhonePad 5.

Select the Manager tab on the toolbar and click the Maintain Lookup Lists button, or select Maintain Lookup Lists from the Manager menu.

There are eight lookup lists that you can maintain using the Maintain Lookup Lists option: Contact Types, Document Types,, Categories, Custom 1, Custom 2, Message Action, Message Details and References.


Contact Types

These can be used to categorize Address Book entries, eg. Patients, Clients, Reps, etc.

Add | Add a new Contact Type.
Edit | Edit the selected Contact Type.
Delete | Delete the selected Contact Type.
Clear | Delete all Contact Types.
Import | Import Contact Types from a text file.


Add a Contact Type

To add a new Contact Type, click the Add button.

Enter a Contact Type and click OK.


Edit a Contact Type

To edit a Contact Type, select it from the list and click the Edit button, or double-click the Contact Type.

Change the Contact Type and then click OK.


Delete a Contact Type

To delete a Contact Type, select the Contact Type and then click the Delete button.


Clear All Contact Types

Click the Clear button to delete all contact types. You will be asked to confirm this operation.


Import Contact Types

Click the Import button to import a list of contact types. The text file will need to have one contact type per line with no delimiters.


Document Types

Document Types can be used to categorize documents added to a contact's documents in the Address Book.

Add | Add a new Document Type.
Edit | Edit the selected Document Type.
Delete | Delete the selected Document Type.
Clear | Delete all Document Types.
Default | Select a Document Type to be the default.
Import | Import Document Types from a text file.


Add a Document Type

To add a new Document Type, click the Add button.

Add Document Type

Enter a Document Type and click OK.


Edit a Document Type

To edit a Document Type, select it from the list and click the Edit button, or double-click the Document Type.

Edit Document Type

Change the Document Type and then click OK.


Delete a Document Type

To delete a Document Type, select the Document Type and then click the Delete button.


Clear All Document Types

Click the Clear button to delete all Document Types. You will be asked to confirm this operation.


Set a Default Document Type

When you add a new document in the Address Book, you can have it default to a Document Type.

To set a default Document Type, select the Document Type from the list and then click the Default button.

The default item is indicated by the cyan colored circle. action-record


Import Document Types

Click the Import button to import a list of Document Types. The text file will need to have one Document Type per line with no delimiters.


Categories

Categories can be used in messages to categorize your messages. You are free to use categories however you wish.

Add | Add a new category
Edit | Edit the selected category.
Delete | Delete the selected category.
Clear | Delete all categories.
Import | Import categories from a text file.


Add a Category

To add a new category, click the Add button.

Enter a Category and then click OK.


Edit a Category

To edit a Category, select it from the list and click the Edit button, or double-click the Category.

Change the Category and then click OK.


Delete a Category

To delete a Category, select the Category and then click the Delete button.


Clear All Categories

Click the Clear button to delete all categories. You will be asked to confirm this operation.


Import Categories

Click the Import button to import a list of categories. The text file will need to have one category per line with no delimiters.


Custom Field 1

If you add Custom Field 1 with the field type of Drop-Down List to your phone message forms (using the Label Editor), you can add/edit/delete items in the list on this screen.

Maintain Custom Field Lists

Add | Add a new Custom item
Edit | Edit the selected Custom item.
Delete | Delete the selected Custom item.
Clear | Delete all Custom items.
Import | Import Custom items from a text file.


Add a Custom Field 1 Item

To add a new item, click the Add button.

Add Custom 1 Item

Enter a Item and click OK.


Edit a Custom Field 1 Item

To edit an Item, select it from the list and click the Edit button, or double-click the Item.

Edit Custom 1 Item

Change the Item and then click OK.


Delete a Custom Field 1 Item

To delete an Item, select the Item and then click the Delete button.


Import Categories_2

Import Custom Field 1 Items

Click the Import button to import a list of Custom Field 1 items. The text file will need to have one item per line with no delimiters.


Custom Field 2

If you add Custom Field 2 with the field type of Drop-Down List to your phone message forms (using the Label Editor), you can add/edit/delete items in the list on this screen.

Maintain Custom Field List 2

Add | Add a new Custom item
Edit | Edit the selected Custom item.
Delete | Delete the selected Custom item.
Clear | Delete all Custom items.
Import | Import Custom items from a text file.


Add a Custom Field Item_2

Add a Custom Field 2 Item

To add a new item, click the Add button.

Add Custom 2 Item

Enter a Item and click OK.


Edit a Custom Field Item_2

Edit a Custom Field 2 Item

To edit an Item, select it from the list and click the Edit button, or double-click the Item.

Edit Custom 2 Item

Change the Item and then click OK.


Delete a Custom Field Item_2

Delete a Custom Field 2 Item

To delete an Item, select the Item and then click the Delete button.


Import Categories_2_2

Import Custom Field 2 Items

Click the Import button to import a list of Custom Field 2 items. The text file will need to have one item per line with no delimiters.


Message Actions

Message Actions are used on phone message forms. A number of default items have been created for you. You can use these items, add to them, delete them, or whatever you need

Maintain Message Action

Add | Add a new Message Action.
Edit | Edit the selected Message Action.
Delete | Delete the selected Message Action.
Clear | Delete all Message Actions.
Default | Select a Message Action to be the default.
Recreate | So you've completely messed up the Message Actions and you want to go back to the original actions? This is the option you need.
Import | Import Message Actions from a text file.

Message Action shown on the phone message form:


Add a Category_3

Add a Message Action

To add a new Message Action, click the Add button.

Add Message Action

Enter an Action and then click OK.


Edit a Category_3

Edit a Message Action

To edit a Message Action, select it from the list and click the Edit button, or double-click the item.

Edit Message Action

Change the Action and then click OK.


Delete a Category_3

Delete a Message Action

To delete a Message Action, select the Action and then click the Delete button.


Clear All Categories_3

Clear All Message Actions

Click the Clear button to delete all Message Actions. You will be asked to confirm this operation.


Set a Default Message Action

When you create a new phone message, you can have it default to a Message Action.

To set a default Message Action, select the Message Action from the list and then click the Default button.

The default action is indicated by the cyan colored circle. action-record


Recreate Message Actions

If you make a complete mess of the Message Actions and want to go back to the default items, click the Recreate button. It will clear all actions and restore the original ones.


Import Categories_4

Import Message Actions

Click the Import button to import a list of Message Actions. The text file will need to have one category per line with no delimiters.


Message Details

Message Details are used on phone message forms. A number of default items have been created for you. You can use these items, add to them, delete them, or whatever you need

Maintain Message Details

Add | Add a new Message Detail.
Edit | Edit the selected Message Detail.
Delete | Delete the selected Message Detail.
Clear | Delete all Message Details.
Default | Select a Message Detail to be the default.
Recreate | So you've completely messed up the Message Details and you want to go back to the original details? This is the option you need.
Import | Import Message Details from a text file.

Message Detail shown on the phone message form:


Add a Category_2

Add a Message Detail

To add a new Message Detail item, click the Add button.

Add Message Detail

Enter an Item and then click OK.


Edit a Category_2

Edit a Message Detail

To edit a Message Detail, select it from the list and click the Edit button, or double-click the item.

Edit Message Detail

Change the Detail and then click OK.


Delete a Category_2

Delete a Message Detail

To delete a Message Detail, select the item and then click the Delete button.


Clear All Categories_2

Clear All Message Details

Click the Clear button to delete all Message Details. You will be asked to confirm this operation.


Set a Default Message Detail

When you create a new phone message, you can have it default to a Message Detail.

To set a default Message Detail, select the Message Detail from the list and then click the Default button.

The default detail is indicated by the cyan colored circle. action-record


Recreate Message Details

If the Message Details are missing, or if you just want to go back to the default items, click the Recreate button. It will clear all actions and restore the original ones.


Import Categories_3

Import Message Details

Click the Import button to import a list of Message Details. The text file will need to have one category per line with no delimiters.


References

Messages have a Reference field that you can enter any text into. It could be a client number, patient number, file number, or whatever you like. PhonePad remembers these references so that they can be used in other messages. These references can be maintained in this window.

LightBulb

The Reference field can be renamed using the Label Editor.


Add a Reference

The Reference field in messages is a free form text field. When text is entered in this field it is automatically added into the system when the message is sent.


Edit a Reference

To edit a Reference, select it from the list and then click the Edit button, or double-click the Reference.

Change the Reference and click OK. This will change the Reference in all messages that have this Reference.


Delete a Reference

To delete a Reference, select it from the list and click the Delete button. The reference will be removed from all messages that have it.


Message Archiving

Your PhonePad database can literally hold millions of messages. Although you are unlikely to reach that number of messages you may want to archive some messages that you don't need to actively access.


Archiving Messages

To archive messages, select the Manager tab on the toolbar and click the Archive Messages button, or select Archive Messages from the Manager menu.

Select a date to archive messages before that date. You can archive messages for all users, or selected users. Click the Archive button to archive the messages.


Unarchiving Messages

If you want to unarchive messages that have been archived, select the Manager tab on the toolbar and click the Message Archives button, or select Message Archives from the Manager menu.

Select the messages you want to unarchive and then click the Unarchive button.

You can use the Search function to find the messages you want to unarchive.


Managing the Chaos

The message management features of PhonePad enable you as a PhonePad Manager to keep on top of everything and to see what's happening with phone calls and messages within your business or organization.


Message Overview

Overview gives you a graphical snapshot of the status of all messages in your PhonePad 5 system. For example, at a glance you can see how many messages are sitting unread in Inboxes, the number of messages waiting to be followed up, and so on.

Select the Manager tab on the toolbar and click the Overview button, or select Overview from the Manager menu.


Message Statistics

Select the Message Statistics tab to view the current status of messages:

Inbox Status: All Users | Shows the total number of read and unread messages in all Inboxes.
Follow Up Status: All Users | Shows the total number messages that have a follow up status of Unmarked, Marked and Completed.
Message Statistics | Shows the total number of messages for each message status.
Message Distribution: All Users/All Folders | Shows the distribution of messages across all folders in the system, regardless of user. You can see how many messages are stored in each type of folder.


Average Response Times

These charts show the average response times relating to follow ups.


Message Read

This graph shows, on average, how long each user has taken to read received messages.

You can use the left mouse button to drag the graph left and right.


Follow Up Completed from Message Logged

This graph shows, on average, how long each user has taken to complete a follow up from the time the message was logged.

You can use the left mouse button to drag the graph left and right.


Follow Up Completed from Message Read

This graph shows, on average, how long each user has taken to complete a follow up from the time the message was opened by them.

You can use the left mouse button to drag the graph left and right.


User Message Status

On this tab you can review the current message status for every user. Click the Update button to retrieve the data.


Master View

Think of Master View as a super Inbox. It allows you to see all messages from all users' Inboxes in one combined view. You can view the current status of every message and well as who's Inbox each message is sitting in. Just like a normal PhonePad Inbox, you can filter messages and search as well. This is a live view so it is continuously updated.

Select the Manager tab on the toolbar and click the Master View button, or select Master View from the Manager menu.

You can view a message by double-clicking on it. This won't change the message read status.


Dashboard

Dashboard provides an easy way for managers and system administrators to view message status. It is automatically updated every few seconds.

Select the Manager tab on the toolbar and click the Dashboard button, or select Dashboard from the Manager menu.

Calls Logged | Displays the number of phone messages logged today.
Read Messages | Displays how many messages have been read today.
Uncompleted | Displays the number of uncompleted follow ups for today.
Completed | Displays the number of completed follow ups for today.

All of these statuses are based on phone calls logged for the current day. If a message was marked for follow up on the day it was logged, then it will appear in the status. The same applies to Completed follow ups and messages read.

You can place the dashboard anywhere on the screen and it will be remembered next time it is run.


Reports

PhonePad 5 includes a range of reports to help you keep on top of things.

Select the Manager tab on the toolbar and click the Reports button, or select Reports from the Manager menu.

Some reports require you to select parameters, while others don't require parameters. The Report Parameters will be automatically displayed if you need to select some parameters. Any parameters not required will be disabled.

To run a report:

1.Select a Report Category.

2.Select a Report.

3.A description of the report will be displayed under Report Description.

4.If any parameters are required, select the parameters under Report Parameters.

5.Click the View button.

More reports will be added in subsequent releases. If you need reports that PhonePad 5 doesn't have, click the Need more reports? link under the Help button and tell us what you need.


Duplicate Address Book Entries

If you manage to get duplicate address book entries then it can become confusing for users when they need to select a caller for an incoming or outgoing message.

You can quickly find out if you have any duplicates by clicking on the Address Book Duplicates button on the Manager tab of the toolbar, or select Address Book Duplicates from the Manager menu.

When the window has opened, click the Find button to scan the Address Book for duplicates.

Name | Lists the fullname of each caller that has more than one entry in the Address Book.
Occurrences | Shows the number of times the caller appears in the Address Book.
Address Book Link | Click the link to go directly to the duplicate entries in the Address Book.

Viewing Duplicates

Click the link next to the name you want to view. The Address Book will open and the duplicates will be shown.

You can then view each entry in turn to check if they are duplicates and delete any you don't want.

Printing the List of Duplicates

Click the Print button to print out the list.


User Email Accounts

It occurred to us that having to go into each user account and adding email addresses could be a bit of a pain, especially if you have a lot of user. This features enables you to manage the email addresses of all users from one screen.

User Email Accounts

To add or edit an email account, just double-click in the appropriate field.


Show Users in Calendar

This screen allows you to quickly set which users will have a calendar in the Appointment Calendar. This avoids having to go into each account one-by-one.

Just check the checkboxes for the users that you want to appear in the Appointment Calendar.

Display Calendar Users


System Administrators


Backing Up Your Data

PhonePad 5 has built-in methods for backing up your valuable data. You can set PhonePad to back up your data automatically, and you can perform a manual back up at any time.


Automatically Backing Up Your Database

PhonePad 5 has a built-in automatic backup feature. When you install the PhonePad 5 Server a AutoBackup schedule is automatically created for you.

You can view and change the backup schedule by selecting the System Admin tab on the toolbar and click the AutoBackup button, or select AutoBackup from the System Admin menu.

To change the automatic backup schedule, just enter a time for the backup and select the days you want the backup to run.

If you want to limit the number of backups retained by PhonePad, check the Backup Limit checkbox and enter the number of backups you want to keep. The minimum is 5 and the maximum is 90. If you backup every day then 90 would equate to approximately 3 months.

You have the option of copying your backup files to an external device like a flash drive, external hard-drive, your DropBox folder, etc. Just enter or select a drive and check the Automatically copy backup files to external storage check box. The copy will be done straight after the backup has been completed.

If you want to do a manual copy of the backup files click the Copy Now button.

Click OK to save your settings.


Running a Manual Backup

You can run a manual backup at any time by selecting the System Admin tab on the toolbar and click the Backup button, or select Backup from the System Admin menu.

Enter a description for the backup and click the Backup button.

A message will be displayed when the backup has completed.


Backup Logs

To view the backup logs, select the System Admin tab on the toolbar and click the Backup Logs button, or select Backup Logs from the System Admin menu.

You can also view a list of backup files by click the Backup Files tab at the bottom of the window.


Restoring Your Data from a Backup

Being able to back up your PhonePad data is important, but of course you also need a way to restore it if the need arises.


Restoring a Backup

In the PhonePad 5 Server folder on your Server or Host PC, you should find an application called DatabaseRestore.

Before starting, make sure all users have logged out of PhonePad.

1.Run DatabaseRestore.

2.When the application has started, it will list all of the backups you currently have. Select a backup from the list.

3.Click the Restore button to begin restoring your data from the backup.

4.The details pane shown in the lower part of the window displays information about the selected backup file.

5.The process may take a few minutes, depending on how much data is in your database.


Restoring a Backup for a Previous Version

If the backup you are restoring from was done when you were using a previous version of PhonePad 5 then the data structures of your current database and the backup copy may not be compatible.

For example, say you are now using PhonePad 5.9.0 but when the last backup was done your were using PhonePad 5.7.0. There were likely some database changes between the two versions.

If you restore from that backup, you would probably get some error messages when trying to start PhonePad. The solution is to update the restored database so that it is the same version as PhonePad 5 Server and PhonePad 5 Workstation.

Fortunately this is quite easy to do.

Check the version number of PhonePad that you are currently using, and then download the server update for that version from www.myphonepad.com. When you run the server update it will analyze the PhonePad database you just restored and bring it up to date.

One way you can check the version number is to right-click on PhonePad5Run.exe in the PhonePad folder, and select Properties from the popup menu. The Details tab will show the version number.


Restoring from a Snapshot

Snapshots are created automatically whenever you install a server update (from Version 5.15.0 onwards). It's like taking a photo of your application and database files at a specific point in time.

The purpose of snapshots is to protect your PhonePad 5 Server installation in case something goes wrong with an update. For example, if your server crashes during an update the database can be left in an incomplete state and may even have some corruption.

Snapshots enable you to return your PhonePad 5 Server files to the state they were in before applying the server update, with just a couple of mouse clicks.

To restore a snapshot, go to the PhonePad 5 folder on your server (C:\PhonePad5Server) and double-click on RestoreSnapshot.

All snapshots will appear in the list as shown above. They can be identified by the date and time the snapshot was taken.

All you need to do is select a snapshot and click the Restore button. You will be asked to confirm the restore. It will take several minutes to revert your files back to the way they were at the time of the snapshot.

If you have any of the application files open they will be automatically closed (from Version 5.15.0 onwards). The PhonePad 5 Server will be stopped and started during this process.

Once the restore has been completed you will be able to continue on as before the server update was applied.


Repairing Your PhonePad Database

If you get error messages indicating that there are problems with your PhonePad data, in particular data corruption, you can repair the database using a couple of methods.


PhonePad Repair Option

To repair your PhonePad data, select the System Admin tab on the toolbar and click the Repair button, or select Repair from the System Admin menu.

You can either repair your database right away, or you can schedule it for a later time.

warning

All users, except you, must be logged out of PhonePad before repairing your database. The repair process needs exclusive access to the database.


Repair Now

Click the Repair button to run a repair now.

You will be asked to confirm this.

Click Yes to perform the backup or No to cancel it.

The progress of the backup will be shown in the on-screen backup log and the progress bar.


Schedule a Repair

Click the Schedule button if you want the repair to be done at a later time.

Enter a date and time for the repair to be done, then click the OK button.

A message will be displayed to confirm that the repair has been scheduled.

The scheduled repair details will be shown at the bottom of the repair window.


Database Repair Application

In the unlikely event that your user account has been damaged by data corruption, preventing you from logging in and using the Repair option, don't panic. You can use the Database Repair application instead.

You will find it in the PhonePad 5 Server folder (eg. C:\Program Files (x86)\PhonePad5Server.

Run DatabaseRepair and click the Repair button.

You will be asked to confirm the repair.

Click Yes to perform the repair, or click No to cancel it.

The progress of the repair will be shown in the on-screen repair log and progress bar. A message will be displayed once that repair has finished.


System Rules

System Rules is a powerful feature that allows you to apply a range of settings that affect all PhonePad users.

To access System Rules, select the System Admin tab and click on the System Rules button, or select System Rules from the System Admin menu.

The navigation tree on the left side of the window allows you to select the group of settings you want to view or change.


Application

Application settings are for PhonePad. Settings for Instant Chat and WhereRU can be found under the Add Ons section.


Startup

The Startup settings determine what happens when PhonePad starts.

User Settings or System Settings

You can set these settings system-wide for all users, or you can allow users to set their own settings.

System Wide Settings

To enforce system wide settings for PhonePad startup, check the Override User Preferences for these settings check box.

Users will be unable to make any changes to these settings under View/Preferences.

Local User Settings

To allow each user to change their own Startup settings, leave the Override User Preferences for these settings check box unchecked.

PhonePad Startup Options
Run from system tray | When checked, PhonePad will run from the system tray.
Run on Windows startup | When checked, PhonePad will start automatically when Windows starts.
Run minimized on startup | When checked, PhonePad will minimize when it starts.
Application minimizes when X button clicked | When checked, PhonePad will minimize instead of closing when the X (close button) is clicked.
System Tray Icon
Double Left Click | You can specify what happens when a user double-clicks on the PhonePad icon in the system tray: ·Open PhonePad ·Create a New Phone Message ·Create a New Outgoing Message ·Create a New Text Message ·Display Address Book


Administrators

Settings on this screen apply only to administrators.

MasterView

Mark messages as read when viewed

The MasterView features gives administrators access to all messages in all Inboxes. This setting determines what happens when a message is read from the MasterView window.

If this check box is checked, a message will be marked as read when an administrator views the message from the MasterView window.


Security


Login

As a system administrator, you can determine which login method should be used by all users.

Users should login using this method
User must enter Username and Password | This is a standard login method. The user enters their Username and Password, then clicks the OK button to login.
System remembers Username and Password | When logging in, PhonePad remembers the last user's Username and Password and automatically prefills these fields for the user. All they need to do is click the OK button.
Automatic login using remembered Username and Password | When logging in, PhonePad prefills the Username and Password and clicks the OK button for them. In other words the user is automatically logged in without having to enter their details or click the OK button.
Automatic login using Windows username | PhonePad automatically logs the user in based on their Windows Username. Important: The PhonePad Username must exactly match the Windows Username.

Show details of login failures | If checked, when a user enters the wrong username or password, the error message will specify whether it was the username or password that was incorrect.
Prevent users from changing their own passwords | If checked, users will be unable to change their passwords. This will then have to be done by a Manager or Administrator.


Address Book

These settings relate to the PhonePad Address Book.

Adding and Updating
Add new callers to Address Book | When checked, new callers will be automatically added to the Address Book.
Prompt when adding callers | When checked, users will be asked if they want to add a new caller to the Address Book. Only valid if Add New Callers to Address Book is enabled.
Update existing callers in Address Book | When checked, existing callers will be updated with any details that have changed for this caller.
Prompt when adding callers | When checked, users will be asked if they want to update a caller's details.
Check for duplicates when adding | When checked, PhonePad will check to see if the new caller you are adding already exists in the Address Book.

Address Book Tabs

Show Business tab

These settings determine whether or not the relevant tabs are displayed when adding, editing or viewing Address Book entries. By default, all of these check boxes are checked which means all of the tabs will appear.

If there are tabs you don't use or if they're not relevant to your business then you can hide them by un-checking the appropriate check boxes.

Show Postal tab

Show Home tab

Show Map tab

Show Family tab

Show Notes tab

Show Documents tab

Labels
Identification Label | Enables you to set the text of the Identification label used in the Address Book.
Notes |
Notes Checkboxes | If checked, the Notes tab will be displayed in each Address Book entry. If unchecked, the Notes tab will not be displayed.
Notes Name | This allows you to rename the Notes tabs that are shown in the Address Book.
Notes Color | Change the color of each Notes tab.

AddressBook Notes Tabs

warning

If a user does not have the appropriate Address Book permissions, they will be unable to add or update callers in the Address Book.


Message Settings

These settings apply specifically to messages.


Messages

These settings affect new phone messages.

Phone Message Subject
Use Subject prefix | When checked, all new phone messages will be prefixed with the text you enter in this field.
Use Message Details when subject is blank | When checked, the Subject field will contain message details if the Subject field is left blank. For example: Phoned - Please Phone.
Prevent message from being sent if subject is blank | When checked, messages cannot be sent if the Subject field is blank. This forces the user to enter something in the Subject field. bj
Phone Number Formatting
No formatting | Phone number is displayed as entered.
Use this format | Phone number will be displayed based on the format entered.
Message Editing
Allow message editing | If checked, messages can be edited after they have been sent. Any changes to a message, eg. the message text, will be changed for users that have either sent or received the message.
Recipient List
Show disabled user accounts | When checked, disabled user accounts will appear in the To: list of new phone and text messages, which means you will be able to send messages to disabled accounts.
Message Preview |
Mark message as read when previewed | If checked, messages will be marked as read when users preview the message using the Inbox Preview pane.


Callers

These settings affect caller details in new phone messages.

Caller Details

Update caller details for existing callers

When selected, the Company and Phone fields of a caller (that already exists in the Address Book) will be automatically added to a new phone message. Any details that have already been entered in the Company and/or Phone fields of the new phone message will be overwritten.

Protect caller details - do not allow them to be updated

When selected, the Company and Phone fields of a caller (that already exists in the Address Book) will be automatically added. However, any details that have already been entered in the Company and/or Phone fields of the new phone message will not be overwritten.

In other words, if a user hasn't yet entered any details in the Company and/or Phone fields, then these fields will be filled in from the Address Book.

Clear caller details when new caller is added

When checked, the Company and Phone fields will be cleared if a new caller is entered in the Caller field.

For example, you may have entered the Company and Phone Number, and then realize you entered the wrong name in the Caller field. If this setting is checked then the Company and Phone Number fields will be cleared.

Use Incremental Searching for Caller List

When checked, as you type in the Caller field PhonePad will search through the list to find any matching callers.

Auto Complete Caller Details for existing callers

When checked, PhonePad automatically fills in the caller's Company and Phone fields if they exist in the Address Book. You would normally have this option enabled as this saves time entering information.

Load Caller Details in lookup list

When checked, the phone message form loads callers the Caller drop-down selection list that allows you to select callers. You would normally leave this option checked if you want to be able to select callers.

Load Company Details in lookup list

When checked, the phone message form loads a list of organizations from the Address Book. This can save time by allowing you to select a caller's organization.

If you are experiencing performance issue due to an extremely large Address Book you can disable this option.

Sort Caller List

When checked, the Caller selection list will be alphabetically sorted.

With extremely large Address Books there can be a performance hit so if you find the phone message form takes a long time to open then you may want to disable this option. Although this option can make it easier to find names, the incremental search feature will quickly filter out the other entries.

Sort Company List

When checked, the Company selection list will be alphabetically sorted.

With extremely large Address Books there can be a performance hit so if you find the phone message form takes a long time to open then you may want to disable this option. Although this option can make it easier to find names, the incremental search feature will quickly filter out the other entries.

Caller Lookup

Firstname Lastname (Fulltime)

Callers will be listed by Fullname in the caller lookup list of phone messages.

Lastname, Firstname

Callers will be listed by Lastname, Fullname in the caller lookup list of phone messages.


Follow Ups

These settings affect how Follow Ups work.

Follow Ups
Automatically mark all new phone messages for follow up | When checked, new phone messages that are received will be automatically marked for follow up. This is a handy feature if you have a follow up process for all calls your business receives.
Create reminder due x days later | This option is dependant on the above option being checked. When checked, every message that is automatically marked for Follow Up will also have a reminder created. The number of days determines when the reminder will be due. Set it to 0 if you want the reminder to fall due today.
Set messages as Completed for all recipients | When checked, when the follow up has been completed on a message that was sent to multiple users, it will be marked as completed for all of these users. This lets everyone else know that no further action is required.
Display default Completion text | When checked, the text entered in this field will be added to the follow up note that is automatically created when a message is marked as completed.
Allow completion without being marked for Follow Up | When checked, a message not marked for Follow Up can still be marked as Completed. When unchecked, only messages marked for Follow Up can be marked as Completed. This avoids accidentally marking a message as Completed when really what you wanted to do is mark it for Follow Up.


Groups

Settings on this page are for Groups.

Groups

When read, mark messages as read for all group members

When checked, a message that is sent to a group will be marked as read for all group members. This can be useful for teams where only one person needs to respond to a message sent to the team.


Deleted Messages

Messages in the Deleted folder are automatically cleared out (permanently deleted) after they have been there a specific amount of time. PhonePad keeps track of when a message is moved to the deleted folder and then removes it permanently once it has been there for the specified amount of time.

The default is 14 days however this can be changed to any number of days from 7 to 365.

Message Deletion
Users can delete messages | When selected, a message that is sent to a group will be marked as read for all group members. This can be useful for teams where only one person needs to respond to a message sent to the team.
Prevent changes from being deleted | Users can delete Follow Up Notes | When selected, users are unable to delete messages but they can delete Follow Up Notes.
 | Prevent Follow Up Notes from being detected | When selected, users are unable to delete messages or Follow Up Notes.

Deleted Folder

When read, mark messages as read for all group members

When checked, a message that is sent to a group will be marked as read for all group members. This can be useful for teams where only one person needs to respond to a message sent to the team.


Searching

The Global Search feature can search all messages in the system, including messages in all users' Inboxes and other folders.

You may not want all users to have this kind of searching capability. This system rule allows you to limit access to Global Searching.

Global Searching
All Users | When selected (the default), any user can search all messages in the database.
Only Managers and System Administrators | When selected, only users with Manager or System Administrator access can use Global Search.
Only System Administrators | When selected, only System Administrators can perform global searches.


Add Ons

These settings apply to the other applications that are provided with PhonePad 5.


Appointment Calendar

These settings control the behavior of the Appointment Calendar application.

Startup Options
Start when PhonePad starts | When checked, Appointment Calendar will automatically open when users login to PhonePad.
Start Minimized | When checked, Appointment Calendar will start minimized.
Run from System Tray | When checked, Appointment Calendar will run from the system tray.
Application minimizes when X button clicked | When checked, Appointment Calendar will minimize when the X (close button) is clicked.


Instant Chat

These settings control the behavior of the Instant Chat application.

Startup Options
Start when PhonePad starts | When checked, Instant Chat will automatically open when users login to PhonePad.
Start Minimized | When checked, Instant Chat will start minimized.
Run from System Tray | When checked, Instant Chat will run from the system tray.
Application minimizes when X button clicked | When checked, Instant Chat will minimize when the X (close button) is clicked.


ToDo List

These settings control the behavior of the ToDo List application.

Startup Options
Start when PhonePad starts | When checked, ToDo List will automatically open when users login to PhonePad.
Start Minimized | When checked, ToDo List will start minimized.
Run from System Tray | When checked, ToDo List will run from the system tray.
Application minimizes when X button clicked | When checked, ToDo List will minimize when the X (close button) is clicked.


WhereRU

These settings control the behavior of the WhereRU application.

Startup Options
Start when PhonePad starts | When checked, WhereRU will automatically open when users login to PhonePad.
Closed when PhonePad closes | When checked, WhereRU will close when PhonePad closes.
Start Minimized | When checked, WhereRU will start minimized.
Run from System Tray | When checked, WhereRU will run from the system tray.
Application minimizes when X button clicked | When checked, WhereRU will minimize when the X (close button) is clicked.
Status Options
Set user status as IN on startup of | You can have WhereRU automatically set your availability as In whenever it starts up by checking this option. You can configure this to occur on startup of either PhonePad or WhereRU.
Set user status as OUT on close of | You can have WhereRU automatically set your availability as Out whenever it closes by checking this option. You can configure this to occur on closing of either PhonePad or WhereRU.
Status Changes
Clear Status Text when status changes | When checked, a user's Status Text will be cleared whenever a user's status changes.
Clear Comments when status changes | When checked, a user's Comments will be cleared whenever a user's status changes.
Clear Return Time when status changes | When checked, a user's Return Time will be cleared whenever a user's status changes.
Standard users can change status for other users | When checked, standard users can change the WhereRU status for other users. If unchecked, only Managers and System Administrators can change the status.
Default Status on Reset
Set User Status to | You can specify a default status when a user's status is reset by an administrator. The options are: In, Out, Meeting, Busy, Away.
Set Status Text to | You can specify default status text to display when a user's status is reset by an administrator. You can only select from status text that has been entered in WhereRU by an administrator.
Clear Comments | When checked, a user's comments will be cleared when a user's status is reset by an administrator
Clear Return Time | When checked, a user's return time will be cleared when a user's status is reset by an administrator


Dates and Times

The settings on this screen affect the format of the dates and times throughout PhonePad. By default, PhonePad will use your local settings as specified by Windows.

All Lists
Date Format | Select or type in a date format that you would like to be displayed in all lists in PhonePad 5. A sample will be displayed below
Time Format | Select or type in a time format that you would like to be displayed in all lists in PhonePad 5. A sample will be displayed below
Status Bar
Date Format | Select or type in a date format that you would like to be displayed in the status bar on the main window. A sample will be displayed below
Time Format | Select or type in a time format that you would like to be displayed in the status bar on the main window. A sample will be displayed below

Format Specifiers
It is recommended you only use the following format specifiers when specifying date and time formats. Using anything else may produce unusual results.
Date Specifiers |
d | Displays the day as a number without a leading zero (1-31).
dd | Displays the day as a number with a leading zero (01-31).
ddd | Displays the day as an abbreviation (Sun-Sat).
dddd | Displays the day as a full name (Sunday-Saturday).
m | Displays the month as a number without a leading zero (1-12).
mm | Displays the month as a number with a leading zero (01-12).
mmm | Displays the month as an abbreviation (Jan-Dec).
mmmm | Displays the month as a full name (January-December).
yy | Displays the year as a two-digit number (00-99).
yyyy | Displays the year as a four-digit number (0000-9999).
/ | Date separator.
Time Specifiers |
h | Displays the hour without a leading zero (0-23).
hh | Displays the hour with a leading zero (00-23).
m | Displays the minute without a leading zero (0-59).
mm | Displays the minute with a leading zero (00-59).
s | Displays the second without a leading zero (0-59).
ss | Displays the second with a leading zero (00-59).
am/pm | Displays the time in 12 hour format with an am or pm.
: | Time separator.


User Interface

These settings enable you to configure the toolbars on the main screen.

PhonePad Toolbar Configuration
Customize Toolbars | Click to customize the toolbars.
Override Standard User Toolbar Configuration |
Override Manager Toolbar Configuration |
Override System Administrator Toolbar Configuration |


Other


Email

These settings control access to users forwarding messages via Email.

Allow users to send messages by email

When checked, users can email messages using the Email Message option on the File menu.

warning

Make sure you don't forget to set the Email Settings under Communication Settings. PhonePad needs to know your email account settings before it can send any emails.


Pushover

These settings control access to users sending quick messages via Pushover.

Allow users to send messages using Pushover | When checked, users can send quick messages via Pushover. This allows you to enable/disable this feature for all users system-wide. You will still need to grant users access individually under User Management.
Allow users to send scheduled messages using Pushover | When checked, users can schedule messages to be sent at a specified date and time.

warning

Make sure you don't forget to set the Pushover Settings under Communication Settings.


SMS

These settings control access to users sending quick messages via SMS.

Allow users to send messages using SMS

When checked, users can send quick messages using SMS. This allows you to enable/disable this feature for all users system-wide. You will still need to grant users access individually under User Management.

warning

Make sure you don't forget to set the SMS Settings under Communication Settings.


Communication Settings

The Communication Settings window is an important part of PhonePad. These settings are required for MessageSender and other features, including some that are yet to be added.

To access the Communication Settings, select the System Admin tab and click on the Communication Settings button, or select Communication Settings from the System Admin menu.


Email

These email account details will be used for all email communication in PhonePad and MessageSender (if you have it installed).

There are two ways to send email messages: using your own mail server (SMTP Server) or using ours (CloudMail).


SMTP Server

If you select SMTP Server there are 3 tabs: Mail Server, Authentication and Test Email Settings.


Mail Server

You will need to fill in details of your mail server and an email account to use for sending all emails from. Many users create a special email account for this purpose.

Active

When checked, emails can be sent using the account information on this screen.

Mail Server

SMTP Server

This is the name of your mail server, mail.myserver.com or smtp.myserver.com.

SMTP Port

The port used by your mail server, eg. 25, 465, etc.

Email Account

Account Username

The account name is typically an email address, eg. john@xyzcorp.com

Account Password

Enter the password for the account.

Confirm Password

Enter the password again.

Username and Password Not Required

Check this box if your email system does not require a Username and Password.

Sender Details

Sender Name

This can usually be anything you like.

Sender Email

This is the email address for the account you are using to send messages. In most cases this should be the same email address as the one used for Account Username.

Use an email service preset

Use the drop-down list to select an email service provider, then click the Apply Preset button. This will change the settings to suit the provider you are using. All you need to do then is enter your account details (eg. Account Username/Email Address and Password).

These are settings we have tested, or that have been tested by customers, and are known to work. More presets will be added over time. If you are using an email provider not listed and you have settings that have been proven to work, please let us know and we'll add them.


Authentication

There are a wide range of mail servers on the Internet and all of them require you to authenticate your connection. Unfortunately not all mail servers use the same authentication protocols so it can be a bit of a challenge to find out what your mail server requires.

PhonePad includes 3 authentication method: Automatic, Manual - Method A, and Manual - Method B. These are actually 3 complete email systems built in to PhonePad (and MessageSender). Hopefully with such a broad range of authentication methods at least one of them will work with your mail server.

The Automatic option will attempt to connect to your mail server and try to automatically determine which authentication method to use. If it is unable to work this out then you will need to try the manual methods.

Authentication Method

Automatic

When selected, the email system will automatically try to determine the authentication used by your mail server and then connect using those settings.

If the Automatic method is unable to work out what authentication requirements your mail server has then try the manual methods. The two manual methods have different authentication settings

Manual - Method A

When selected, you will be able to use one of the authentication methods listed under Method A.

Manual - Manual B

When selected, you will be able to use one of the authentication methods listed under Method B.

SSL Connection

Check this check box only if your mail server requires a secure connection.

EHLO

It's recommended that you have this option checked as it enables the email system to work out what capabilities your mail server has. This is used in determining its authentication requirements.

ESMTP

Some mail servers support Extended SMTP so try checked and unchecked.

Pass Through

Check this check box if automatic authentication doesn't work.

Method A

These authentication settings apply when you have Manual - Method A selected. You can choose from:

·User Password

·CRAM MD5

·NTLM

·Kerberos

·XO AUTH 2

Method B

These authentication settings apply when you have Manual - Method B selected. You can choose from:

·SASL

·SASL Only

·No TLS

·Automatic TLS

·Implicit TLS

·Explicit TLS

·SSL2

·SSL3

·TLS

·TLS11

·TLS12


Test Email Settings

You can test both automatic and manual authentication settings under the Test Email Settings tab.

The test emails will be sent to the sender email address, however you can change this if you like.

Click the Send button to send a test message using the mail server and authentication settings you have chosen. If your mail server accepts the test message you should receive it in the Inbox of the email address you entered.

The Response area will show the response received from your mail server. If you don't receive the test email then check the response area as it may contain error messages and/or suggestions from your mail server.

You may need to experiment with the authentication settings until you get it to work.


CloudMail

If you select CloudMail there is only 1 tab: CloudMail.


CloudMail Settings

Unless you have registered an account with the CloudMail server, the Account Created and Account Active check marks will be grayed out. This indicates that no account exists.

CloudMail - No Account

To use CloudMail you will need to create an account:

1.Enter an email address under Reply To Email. This is important, otherwise the recipients of your emails will be unable to reply.

2.Click the Create CloudMail Account button.

3.If all goes well the following message will be displayed.

CloudMail - Registered

4.Click the OK button.

5.The Account Created and Account Active check marks should be green.

CloudMail - With Account

Buttons
Create CloudMail Account | Creates a CloudMail account.
Cancel CloudMail Account | Cancels (and deletes) your CloudMail account.
Send Test Email | Sends a test email to the Reply to Email address so you can verify the account is working correctly.

LightBulb

If you need to change the Reply To Email at any time, just enter a new email address and click the small button to the right of this field. PhonePad will connect to the CloudMail Server and update the email address.

LightBulb

CloudMail is in Beta right now. At the end of Beta testing, if we go ahead with this service it will probably be available on a subscription basis although at low cost.

Please click the Terms and Conditions link to view further information.


SMS

Before you can send anything via SMS you will need to open an account with an SMS gateway. In this release of PhonePad 5 only two SMS gateways are provided, however we plan to add a few more over the next couple of months.

Select the SMS Provider you have an account with from the drop-down list, then enter your account details in the fields provided. The fields you need to fill in will vary with each provider.

The Gateway URL should remain as is, unless we instruct you to change it.

Messages can only be sent if the Active check box is checked.

You can make sure everything is set up correctly by clicking the Test button. Enter a cell/mobile number (including the country code) and click Send. You can change the default message text if you wish.

You should get a message from the SMS Gateway provider if all went well, or if there were problems. The message you get back will vary from provider to provider.


Setting Up SMS Global

SMS Global provide SMS gateway services for most countries via their MXT web messaging platform. It costs nothing to set up an account with them. It works on a credit system where you purchase the number of message credits, so you only pay for the SMS messages you send.

Setting Up an Account with SMS Global

1. Go to the SMS Global website: www.smsglobal.com/sign-up

2. Fill in your details to create your account.

3. If you are in the US please note that the country will be listed as USA, not United States.

4. Once your account is set up, select Store from the menu on the left.

5. You can purchase some SMS credits by entering a currency amount and clicking the Buy button, or by selecting a plan.

6. The cell/mobile number you verified will be used in MessageSender as the Account ID (see Tools/Verified Numbers).

7. Select Tools/API Keys and add an API Key for HTTP.

8. The Username and Password will be used in the MessageSender settings.

warning

Please note that these screens and instructions may have changed since the publication of this user guide.


Setting Up Clickatell

Clickatell provide SMS gateway services for most countries via their web messaging platform. It costs nothing to set up an account with them. It works on a credit system where you purchase the number of message credits, so you only pay for the SMS messages you send.

Setting Up an Account with Clickatell

1. Go to the Clickatell sign up page: https://www.clickatell.com/register

2. Select Developers' Central.

3. Choose an option appropriate for your country.

4. Complete the details requested.

5. Once you have set up your account, select Set Up a New API from the APIs menu.

6. Click the Add HTTP API button.

7. Record the API ID. You will need this for setting up MessageSender.

warning

Please note that these screens and instructions may have changed since the publication of this user guide.


Pushover

PhonePad 5 also has the ability to send messages via the Pushover service. This service provides up to 7500 free messages per month.

Enter your Pushover User Key and Application Key in the fields provided.

Messages will be sent only if the Active check box is checked. Devices you send messages to must be under the same Pushover account.

You can use the Test button to make sure everything is working ok.

LightBulb

When you create an account with Pushover you also get an email address. We now recommend that you use the email address under Automatic Message Forwarding settings instead of using User Keys and Application Keys. It is much easier to set up.


Setting Up Pushover

Pushover provides an easy way of sending text messages without using an SMS network. Currently you can send 7500 text messages per month for free with Pushover and MessageSender.

Setting Up an Account with Pushover

1.Go to the Pushover website: www.pushover.net

2.Locate the Login or Signup link.

1.Once your account has been set up, you will receive a User Key.

2.Copy and paste the User Key to the User Key field on the Pushover settings screen in MessageSender.

3.You will need to register MessageSender as one of your applications. Scroll down until you get to the Your Applications section.

4.Click Register an Application.

5.The Create New Application/Plugin page will be displayed.

6.Under Name, enter PhonePad 5 or MessageSender (1).

7.Select Application as the Type (2).

8.You can enter a Description and/or URL if you want but this is optional (3).

9.If you would like the PhonePad 5 icon displayed in your iOS and/or Android app, click the Browse button and navigate to the Icon folder (it's under C:\PhonePad5Server\PushoverIcon) (4).

10.Check the Terms of Service check box (5).

11.Click the Create Application button (6).

12.An Application Key (API Token/Key) will be created and displayed.

13.Copy and paste the key into the Application Key field on the Pushover screen in Communication Settings.

14.That's it!

You will also need to download the Pushover app to your iOS or Android devices. They come with a free 7-day trial and they cost around $5 (USD) to buy. The great news is you only have to buy them once for each platform. After that they are free for any other devices on the same platform.

Download the Pushover iOS app

Download the Pushover Android app

warning

Please note that these screens and instructions may have changed since the publication of this user guide.


Using GMail with PhonePad 5

Setting up a GMail account to use with PhonePad 5 (and MessageSender 6) is a little tricky due to Google's security requirements.

By default, GMail will usually prevent PhonePad from sending emails. You will need to configure GMail to allow PhonePad to connect.


If You Have Google's Two-Step Verification Enabled

Follow these steps if your GMail account is using two-step verification.

1.Login to your GMail account.

2.Click on the Gear icon and select Settings from the menu.

3.Click Accounts and Import.

4.Click Other Google Account Settings.

5.Click Signing in to Google.

6.Select App Passwords.

7.Click the Select app drop-down menu.

8.Select Other from the drop-down menu.

9.Enter an application name, eg.: PhonePad 5. Click Generate.

10.An application password will be created for you to use.

11.Select the password and copy it, or write it down.

12.Use the password in PhonePad 5, in place of the usual password for this GMail account.

13.You should now be able to send emails from PhonePad 5 and MessageSender 6.


If You Don't Have Two-Step Verification Enabled

Follow these steps if your GMail account is not using two-step verification.

1.Login to your GMail account.

2.Click on the Gear icon and select Settings from the menu.

3.Click Accounts and Import.

4.Click Other Google Account Settings.

5.Click Connected apps & sites.

6.Set Allow less secure apps to ON.

7.PhonePad 5 should now be able to send emails via your GMail account.


MessageSender Queue

You can manage the MessageSender message queue from within PhonePad.

To access the MessageSender queue:

1.Select the System Admin tab and click on the MessageSender Message Queue button, or select MessageSender Message Queue from the System Admin menu.

2.The Message Queue will display all messages waiting to be processed by the MessageSender service.

The Manage Queue button features a drop-down menu that allows you to manage the messages in the queue.

Clear Queue | Clears all messages from the queue. Any messages cleared will not be sent.
Remove Selected Message | Deletes the selected message.
Remove Emails | Clears all email messages from the queue.
Remove SMS | Clears all SMS messages from the queue.
Remove Pushover | Clears all Pushover messages from the queue.
Refresh | Reloads the message queue.


Notifications

PhonePad 5 can keep you up to date with what's happening with your system via the Notifications feature.

To access Notifications, select the System Admin tab and click on the Notifications button, or select Notifications from the System Admin menu.


Administrator Notifications

Administrators can set up various notification options. To access these settings, select Administrators from the side menu.

AutoBackup Completion
Email | When selected, Automatic Backup notifications are sent to a list of administrators by email using the email account you set up under Communication Settings.
SMS | When selected, Automatic Backup notifications are sent to a list of administrators by SMS.
Pushover | When selected, Automatic Backup notifications are sent to a list of administrators by Pushover.
Cloud | When selected, Automatic Backup notifications are sent to a list of administrators by email using our servers.
None | No notification will be sent.
Repair Completion
Email | When selected, Repair Completion notifications are sent to a list of administrators by email using the email account you set up under Communication Settings.
SMS | When selected, Repair Completion notifications are sent to a list of administrators by SMS.
Pushover | When selected, Repair Completion notifications are sent to a list of administrators by Pushover.
Cloud | When selected, Repair Completion notifications are sent to a list of administrators by email using our servers.
None | No notification will be sent.
System Errors
Email | When selected, System Error notifications are sent to a list of administrators by email using the email account you set up under Communication Settings.
SMS | When selected, System Error notifications are sent to a list of administrators by SMS.
Pushover | When selected, System Error notifications are sent to a list of administrators by Pushover.
Cloud | When selected, System Error notifications are sent to a list of administrators by email using our servers.
None | No notification will be sent.
Server Update
Email | When selected, whenever the Server version is updated a notification is sent to a list of administrators by email using the email account you set up under Communication Settings.
SMS | When selected, whenever the Server version is updated a notification is sent to a list of administrators by SMS.
Pushover | When selected, whenever the Server version is updated a notification is sent to a list of administrators by Pushover.
Cloud | When selected, whenever the Server version is updated a notification is sent to a list of administrators by email using our servers.
None | No notification will be sent.

Administrator Notification List

All PhonePad 5 administrators will appear in this list. Select the check box next to each administrator that should receive the above notifications.

warning

Administrators must have the appropriate fields set under their user accounts to receive notifications, ie. their Email, Cell/Mobile Number and/or Pushover Device Name.


Users

Administrators can set up options for all users on this screen. To access these settings, select Users from the side menu.

Forgotten Passwords

This is a very useful feature to enable for users. If a user tries to login to PhonePad but realizes they have forgotten their password, clicking on the I Forgot My Password link will enable them to receive their password by email, SMS or Pushover.

This can save administrators time by not having to reset a user's password for them. It's of course also useful for an administrator who has forgotten their password.

Email

When selected, users will receive their PhonePad 5 password by Email when they click the I Forgot My Password link.

SMS

When selected, users will receive their PhonePad 5 password by SMS when they click the I Forgot My Password link.

Pushover

When selected, users will receive their PhonePad 5 password by Pushover when they click the I Forgot My Password link.

Cloud

When selected, users will receive their PhonePad 5 password by Email using our servers when they click the I Forgot My Password link.

None

No notification will be sent.

warning

Users must have the appropriate fields set under their user accounts to receive notifications, ie. their Email, Cell/Mobile Number and/or Pushover Device Name.


Server Logs

PhonePad 5 keeps a log of various background tasks that run on the PhonePad 5 Server. Normally you would not need to look at these logs but they can be useful when troubleshooting server problems.

To access the Server Logs, select the System Admin tab and click on the Server Logs button, or select Server Logs from the System Admin menu.

System Log

Shows a list of background system tasks that have been run on the PhonePad 5 Server.

The Delete button allows you to delete all log entries. You can do this if the log starts getting too large.

The Refresh button will reload the log.

The Print button allows you to print of the log entries (and export the report to PDF if needed).

System Events

Shows any system events that have occurred, including errors. You can select All events, Information events, and Errors.

The default view is Errors. You normally wouldn't need to worry about Information events but this may be needed by Cybercom Software support staff to diagnose a problem.

If you see any errors please report them to support@cybercom-software.com as they may be programming errors that we need to know about.

There are also a number of log files generated by the PhonePad system. These logs contain different information. You can find out more about them here: logs.


Logging Out Users

There may be times when you need everyone to log out of PhonePad so you that can repair the database, restore the database from a backup, or install a newer version of PhonePad. If you have asked everyone to log out of PhonePad but there are some users still logged in you can force them to log out.

Select the System Admin tab and click on the Logout Users button, or select Logout Users from the System Admin menu.

Click the Logout button to force all users to log out. You will be the only user who isn't kicked out of the system.

warning

This is a brute force method. Users won't receive any nice messages asking them to log out. Their connection will be suddenly dropped by the PhonePad 5 Server without any warning. Use with care.


Broadcasting Messages to Users

System Administrators can broadcast a message to all users logged in to PhonePad. Although you can use this feature for sending any sort of message it can be particularly useful to let users know that you are about to do some system maintenance.

To send a broadcast, click the Broadcast button on the System Admin toolbar.

The Send Broadcast window will open.

Type in a message of up to 500 characters and then click the Send button.

The message should appear on all workstations (as long as the user has PhonePad open) within a few seconds.


Server Updates

You can use this feature to check for newer versions of PhonePad.

Click the Check for Update button.

If a newer version is available a download link will be provided.

Please note that Server Updates can only be installed on your Server or Host PC. If you download a Server Update to a workstation then you will need to copy it across to a Server or Host PC to install.


Remote Access

You can provide remote users with access to PhonePad over the Internet.

1.Click on the Remote Access button on the System Admin toolbar, or select Remote Access from the System Admin menu.

2.Check the Remote Access Enabled check box.

3.Click the "shield" button in the Remote Access Code field to create a Remote Access Code. The Remote Access Code will be automatically copied to the Windows clipboard

4.Click OK to save the settings.

Give the Remote Access Code to users that will be logging in remotely.

This is only the first step in providing remote access. There are a few more steps you need to follow.

warningsymbol32x32

If you create a new Remote Access Code, any previous Remote Access Code will become invalid. Any users trying to remote connect with the previous Remote Access Code will no longer be able to login until you give them the new code.


System Maintenance

Normally you won't need to access this screen, however, you may be asked by Support staff to use one of the options on this screen to fix an issue.

To access this screen:

1.Select the System Admin tab and click on the System Maintenance button, or select System Maintenance from the System Admin menu.

2.Select the option Support has asked you to use.

More functions may be added in subsequent releases.


Server Sessions

Displays a list of users currently logged in to PhonePad.

Select the System Admin tab and click on the Server Session button, or select Server Sessions from the System Admin menu.


Speed Test

If you are experiencing performance issues with PhonePad 5, you can run speed tests to see just how slow or fast the response time is between your workstations and your Server or Host PC

Click the Speed Test button on the System Admin toolbar, or select Speed Test from the System Admin menu.

Click the Run button to perform a series of tests.

Test 1 | Writes 10 records to the database, then reads and deletes these records.
Test 2 | Writes 100 records to the database, then reads and deletes these records.
Test 3 | Writes 1000 records to the database, then reads and deletes these records.

The "speed dial" will show the response time for Test 1. The time is shown in seconds and microseconds. In the above screenshot the response time is 43 milliseconds (0.043 seconds).

A history of these test results are recorded for future comparison.

You can delete the history at any time by clicking the Clear button. You will be asked to confirm this.


Open Log Viewer

Open the Log Viewer.

Select the System Admin tab and click on the Log Viewer button, or select Log Viewer from the System Admin menu.


SQL Performance Monitoring

If PhonePad is not performing as well as expected, there may be response time issues within the database. You can check to see if some processes are taking too long to execute by enabling monitoring of all internal functions.

Don't worry about understanding this. It's purpose is to identify bottlenecks in performance so that the developers can make changes to optimize these processes.

Select Monitor SQL Performance from the System Admin menu, or click the Monitor SQL Performance button on the System Admin toolbar.

Monitor SQL Performance

Toggle the On/Off switch to enable/disable SQL Performance Monitoring.

Click the Refresh button to update the display.

The Print option allows you to print and/or export the information to PDF.


MessageSender Settings

Although the MessageSender service runs on your Server or Host PC, the MessageSender settings can be managed from any workstation that has PhonePad installed.

Select MessageSender Settings from the System Admin menu, or click the MessageSender Settings button on the System Admin toolbar.


MessageSender Settings

There are a few settings you need to set to get things rolling. To do this, you will need to login to PhonePad using a user account that has System Admin access.

1.Select MessageSender Settings on the System Admin toolbar.

2.Select Active to make the MessageSender service active.

3.Select the type of processing you want the service to perform, ie. Process Emails, Process SMS and/or Process Pushover.

4.The final step is to set up your Communication Settings in PhonePad.

Message Processing |
Active | When set to ON, the MessageSender service will process messages in the message queue.
Process Emails | When checked, the MessageSender service will process messages that are queued to be sent via email.
Process SMS | When checked, the MessageSender service will process messages that are queued to be sent via SMS.
Process Pushover | When checked, the MessageSender service will process messages that are queued to be sent via Pushover.
Process Every x Minutes | Determines how frequently the MessageSender service should check for messages to process. The default is every 5 minutes.

Activity Log |
Detailed Activity Log | When checked, the activity log will display connection information, authentication responses, etc.
Only keep the last x log files | When checked, MessageSender will automatically delete older activity log files. You can specify the number of activity logs to retain.
Log SMS Requests | When checked, provides more detailed information about SMS message sending.

Email Subject |
Use Message Subject | When checked, the activity log will display connection information, authentication responses, etc.
Use Custom Subject | When checked, MessageSender will automatically delete older activity log files. You can specify the number of activity logs to retain.
Use Field for Subject | When checked, provides more detailed information about SMS message sending.

Email Replies |
Users Can Reply to Messages Forwarded by Email | When checked, users receiving the forwarded emails can reply. The replies will be sent back to PhonePad and appear in the sender's Inbox.

Email Receipts |
Allow Read Receipts | When checked, the sender of the forwarded emails will receive Read Receipts when the receivers of the emails read them. Of course, the Read Receipt checkbox must be checked on the PhonePad message when sent.


MessageSender Templates

Under System Tab/MessageSender Settings in PhonePad, select the Templates tab.

MessageSender comes with default templates for each of the message types. These template determine the type of information included in the forwarded messages as well as the format.

The default message templates should also be selected, but you can select them using the drop-down list if they're not. You can use these as is, modify them, or create your own.

If you need to delete any custom MessageSender templates then click the Manage Templates button.


Email Templates_2_2

Email Templates

MessageSender Manager includes a built-in editor for creating and editing email message templates. To open the editor, click on the Template Editor button.

The Template Editor will be displayed. If a message template was specified in the message template field then the Template Editor will automatically open the template for editing. You have a number of choices:

·Edit the template and save it, overwriting the existing one (use Save).

·Edit the template and save it as a new template (use Save As).

·Create a new template from scratch by clicking the New button.

A message template is made up of static text and tags (indicated with <>). For example, in the above screenshot "To:" is static text while "<recipients>" is a tag. When a message is processed, the tags are replaced with actual data from PhonePad messages, while the static text is ignored.

In the same screenshot you can see one of the default email message templates that is included with MessageSender. Virtually every tag is used in this example. To modify the template, simply change or remove the static text and tags you don't want.

The Message Type drop-down list is used to indicate the type of messages the template is to be used for. Tags can be inserted by selecting them from the Template Tags drop-down list and then clicking the Insert button.

Creating a New Template

1.To create a new message template, click on the New button on the toolbar.

2.You can add any static text you want to the message area and format it in any way you desire.

3.To add message tags, position the cursor in the message area where you want the relevant message data to appear. Next, select the appropriate tag from the Template Tags drop-down list, and click the Insert button.

You can save the template by clicking the Save button. You will be prompted for a filename.

Editing an Existing Template

1.If a message template was specified in the message template field then the Template Editor will automatically open the template for editing. You can edit this template or open another template by clicking the Open button.

2.Editing a template is the same as creating a new template. You can add any static text you want to the message area and format it in any way you desire.

3.To add message tags, position the cursor in the message area where you want the relevant message data to appear. Next, select the appropriate tag from the Template Tags drop-down list, and click the Insert button.

4.To save your changes, click the Save button.


SMS Templates_2_2

SMS Templates

Email Templates_2MessageSender Manager includes a built-in editor for creating and editing SMS message templates. To open the editor, click on the Template Editor button.

The Template Editor will be displayed. If a message template was specified in the message template field then the Template Editor will automatically open the template for editing. You have a number of choices:

·Edit the template and save it, overwriting the existing one (use Save).

·Edit the template and save it as a new template (use Save As).

·Create a new template from scratch by clicking the New button.

SMS templates tend to be a lot shorter than email templates due to SMS character limits. SMS templates have a limit of 160 characters. It's recommended to keep them shorter than this though as the data that replaces the tags many be longer than the length of the tags.

Refer to the section on Email Templates for instructions on creating and editing templates.


Pushover Templates_2_2

Pushover Templates

MessageSender Manager includes a built-in editor for creating and editing Pushover message templates. To open the editor, click on the Template Editor button.

The Template Editor will be displayed. If a message template was specified in the message template field then the Template Editor will automatically open the template for editing. You have a number of choices:

·Edit the template and save it, overwriting the existing one (use Save).

·Edit the template and save it as a new template (use Save As).

·Create a new template from scratch by clicking the New button.

Pushover templates tend to be a lot shorter than email templates, but not as short as SMS templates. Pushover templates have a limit of 498 characters. It's recommended to keep them shorter than this though as the data that replaces the tags many be longer than the length of the tags.

Refer to the section on Email Templates for instructions on creating and editing templates.


Template Tags_2_2

Template Tags

The Template Tags that are available for creating and editing message templates are dependant on the type of message selected.

Phone Messages
<caller> | Name of the person calling.
<cametoseeyou> | Displays an [X] if this is true.
<cametoseeyoulabel | Displays "Came to See You" unless you have changed it using the LabelEditor utility.
<calldetails> | This will be either "Phoned", "Returned Your Call" or "Came to See You". If you have changed the message labels then those labels will be displayed instead.
<callaction> | This will be either "No Action Required", "Please Phone", "Will Phone Again", "Will Drop By Again", "Wants to See You" or "Will Be In At". If you have changed the message labels then those labels will be displayed instead.
<date> | Date of the message.
<from> | The caller's organization.
<message> | The actual text of the message.
<messagetitle> | By default this is "While You Were Out", unless you have changed it using the LabelEditor utility.
<noaction> | Displays an [X] if this is true.
<noactionlabel> | Displays "Came to See You" unless you have changed it using the LabelEditor utility.
<phone> | The caller's phone number.
<phoned> | Displays an [X] if this is true.
<phonedlabel> | Displays "Came to See You" unless you have changed it using the LabelEditor utility.
<pleasephone> | Displays an [X] if this is true.
<pleasephonelabel> | Displays "Came to See You" unless you have changed it using the LabelEditor utility.
<recipients> | Lists all users the message was sent to.
<returnedcall> | Displays an [X] if this is true.
<returnedcalllabel> | Displays "Came to See You" unless you have changed it using the LabelEditor utility.
<sender> | The person who recorded the message.
<subject> | The subject of the message.
<time> | Time of the message.
<urgent> | Indicates whether the message is urgent or not.
<wantstoseeyou> | Displays an [X] if this is true.
<wantstoseeyoulabel> | Displays "Came to See You" unless you have changed it using the LabelEditor utility.
<willbeinat> | Displays an [X] if this is true.
<willbeinatlabel> | Displays "Came to See You" unless you have changed it using the LabelEditor utility.
<willbeinattext> | The time the user will be in.
<willdropby> | Displays an [X] if this is true.
<willdropbylabel> | Displays "Came to See You" unless you have changed it using the LabelEditor utility.
<willphoneagain> | Displays an [X] if this is true.
<willphoneagainlabel> | Displays "Came to See You" unless you have changed it using the LabelEditor utility.

Text Messages
<date> | Date of the message.
<message> | The actual text of the message.
<recipients> | Lists all users the message was sent to.
<sender> | The person who recorded the message.
<subject> | The subject of the message.
<time> | Time of the message.
<urgent> | Indicates whether the message is urgent or not.


Managing MessageSender Templates

To delete a custom template, select it from the list and click the Delete button.

Standard templates cannot be deleted.

Manage MessageSender Templates

If for some reason the standard templates don't exist, click the Rebuild MessageSender Standard Templates button.


Internet Access

It is important that the PhonePad 5 Server has access to the Internet. If the PhonePad 5 Server doesn't have access then some of the features will not work.

You may need to configure the firewall or security software on your Server or Host PC to allow PhonePad 5 server to connect to the Internet.


Running Programs as an Administrator

When running some of the PhonePad 5 programs, you may get an Access Denied error message or a message that says the program requires elevated privileges. This can happen even when you are a fully-fledged Windows administrator.

This has nothing to do with the PhonePad software and everything to do with how Windows handles user access rights.

You can normally get around this problem by right-clicking on the application and selecting Run as Administrator from the menu.

You will need to do this each time you run one of these applications. There is a way you can get Windows to "remember" that you want to run the application as an Administrator.

Right-click on the application but this time select Properties. Next, select the Compatibility tab and check the Run this program as an administrator check box. Then click OK.


Managing PhonePad Services

Included with PhonePad 5 Server is an application called Control Center, which makes it easy to:

·Install and uninstall the PhonePad services.

·Start and stop the PhonePad 5 services.

When you start Control Center it will default to the Home view. This screen shows you the current status of each PhonePad service.

greenstatus | The service is running.
redstatus | The service is installing but isn't running.
greystatus | The service is not installed.

The IP Address of the Server or Host PC is displayed at the bottom part of the application window.

Control Center provides the ability to individually control each service, but you can all control all services at once by using the Start All Services and Stop All Services buttons.

You can also start and stop individual services using the Windows services.msc snap-in control service, however, you will find that Control Center provides a more convenient and easier to use way to do this.

LightBulb

If you double-click on the blue band displaying the Server IP Address, the IP Address will be copied to the Windows clipboard.


Options

PhonePad creates log files that can be used to make sure the system is functioning correctly and to check for any problems that may be occurring. Most of the PhonePad applications and services have their own log files and a new log file is created each day.

After a while you can end up with a lot of log files. Although each log file on its own tends to be relatively small, over a period of time they can consume some of your disk space. To combat this, and to avoid you having to delete older log files manually, PhonePad includes a console program called LogManager. This runs automatically each day on both the Server or Host PC and all workstations.

This screen enables you to configure the oldest log files to retain. The range is from 5 days to 90 days. The default is 30 days.

PhonePad also creates snapshots when you install a server update so that you can quickly revert back to the previous version in the event there is an issue with the new version. Snapshots are like a backup but they also include the PhonePad Server application files as well as your database.

Snapshots can get quite large and having a few of them on your Server or Host PC can consume a lot of disk space. Just like the log files, you can specify how long you want to retain the snapshots. Bear in mind that, unless you manually create snapshots, they are only created when you install a server update.


Server IP Address

On startup, Control Center will check the Server or Host PC's IP Address.

The Server's IP Address will be displayed at the bottom of the window. If there are multiple IP Addresses on your Server or Host PC then they will all be displayed.

Multiple IP Addresses

If your Server or Host PC has multiple IP addresses and you need to change which one PhonePad 5 Server uses, click the Settings button and enter a new IP Address.

Clicking the Scan IP button allows you to manually scan for multiple IP Addresses on the computer.

Detected IP Addresses | ControlCenter will attempt to detect all active IP Addresses of the host machine and display them in this field. These addresses will be sent to workstations attempting to connect to the Server.
Add Override | Click this button to use the selected IP Address as the only address to be used. This only makes sense if your Server has multiple IP Addresses (eg. it has both an Ethernet connection and a Wireless connection).
Override IP Address | This should be left blank unless your Server or Host PC has multiple IP Addresses and you need to specify which IP Address to use.
Delete Override | Deletes the existing override.
Server Port | The main data connection port for PhonePad. Do not change this unless there is a conflict with another process using the same port.
Server Folder | Shows the location of the PhonePad 5 Server Folder. This setting cannot be edited.
Server Access Key | PhonePad's Auto-Discovery protocol uses UDP. On some networks this may be blocked. If you find that workstations are unable to find the PhonePad Server then you can use a Server Access Key that can be used by workstations. The small buttons to the right of this field generate a Server Access Key and copy the key to the Windows clipboard, respectively.
Register | Registers the Server Access Key. This must be done for the Server Access Key to work.
Deregister | Deregisters the Server Access Key, which means users will no longer be able to use it.
Registration Status | This will show either Registered or Unregistered.
Activity Logs | When checked, the service logs it processes and any errors it may encounter. It's recommended you have this checked.
Performance Boost | Displays the Performance Boost screen.

LightBulb

Control Center will automatically add the necessary inbound and outbound exception rules to the Windows Firewall on the Server or Host PC so that PhonePad 5 on your workstations can connect to and communicate with the PhonePad 5 Server on your Server or Host PC.


Performance Boost_2

Performance Boost

This feature increases performance by buffering some database objects in memory. Normally when an object such as a table is read from or written to, it is done directly from/to the Server or Host PC's hard-drive. By holding the table in a memory buffer this can significantly improve performance. By default, any changes to the table in memory will be written to the hard-drive on these events:

·Every couple of minutes

·When the memory buffer is full

·When a database backup is about to be performed.

·When the PhonePad Server is shut down.

Enabling Performance Boost can improve performance significantly.

LightBulb

Buffer settings may be changed over time via system updates to get the best performance for your system.

warningsymbol32x32

Do not change any of the Performance Boost settings unless advised to by a Cybercom Support technician. Incorrect settings could result in adverse system performance and even data loss.

warningsymbol32x32

Although a very low possibility, there is a potential for data loss when Performance Boost is enabled. This can happen if the Server or Host PC crashes, is suddenly powered down, or loses power. In those events the PhonePad Server will most likely not have had time to write any changes to disk.


Caller ID Service

The Caller ID Service is specificially for use with CallerID.com devices, available from www.callerid.com. This service is not installed by default so you will need to install it if required.

Select Caller ID Service to manage the Caller ID service.

Install | Installs the Caller ID service.
Start | Starts the Caller ID service.
Stop | Stops the Caller ID service.
Uninstall | Uninstalls the Caller ID service.
Settings | Opens the Settings window. There are currently no user-configurable settings so the button is disabled.
Logs | Opens the Log Viewer and displays the Caller ID logs.
Service Status | Indicates the current status of the Caller ID service.

LightBulb

If you get an Access Denied error when trying to install or start the service, close the Control Center. Find the ControlCenter application in the folder you installed the server in, right-click on it, and then select Run as Administrator.


MessageSender

The MessageSender service is an integral part of the Automatic Message Forwarding feature. Without it, this feature will not work. MessageSender is not installed by default as it is a separate product that you will need to purchase a license for if you don't have one.

Select MessageSender to manage the MessageSender service.

Install | Installs the MessageSender service.
Start | Starts the MessageSender service.
Stop | Stops the MessageSender service.
Uninstall | Uninstalls the MessageSender service.
Logs | Opens the Log Viewer and displays the MessageSender logs.
Manager | Opens MessageSender Manager.
Service Status | Indicates the current status of the MessageSender service.

LightBulb

If you get an Access Denied error when trying to install or start the service, close the Control Center. Find the ControlCenter application in the folder you installed the server in, right-click on it, and then select Run as Administrator.


PhonePad 5 Server

PhonePad 5 will not function without the PhonePad 5 Server service running. It is normally installed by default so you should not need to install it.

Select PhonePad Server to manage the PhonePad Server service.

Install | Installs the Server service.
Start | Starts the Server service.
Stop | Stops the Server service.
Uninstall | Uninstalls the Server service.
Settings | Opens the Server Settings window.
Logs | Opens the Log Viewer and displays the Server logs.
Sessions | Displays all current user sessions connected to the Server.
Processes | Opens the Process Monitor application. Use this to make sure the Server is listening on all required ports.
Permissions | This can be used to set the correct permissions for the PhonePad Server folders to avoid access rights errors.
Service Status | Indicates the current status of the PhonePad Server service.

LightBulb

If you get an Access Denied error when trying to install or start the service, close the Control Center. Find the ControlCenter application in the folder you installed the server in, right-click on it, and then select Run as Administrator.


Processes

ProcessMonitor displays all PhonePad 5 services currently running on the Server or Host PC.

Process | Name of the service.
ID | Process ID as assigned by Windows.
Local Address | This is either the local IP Address or the host system's name.
Local Port | The port the service is using.
Protocol | The protocol used by the server which will be either TCP or UDP.
Status | This will be Listen if the service is using the TCP protocol and is accepting data. It will be blank for UDP services.


Sessions

The Server Sessions windows displays all user connections to the PhonePad 5 Server. Any users that appears on this list is currently logged in to PhonePad.

Session ID | An internal ID assigned by the PhonePad 5 Server.
User | The name of the user who is logged in.
IP Address | IP Address of the user's workstation.
Process | This is the user's computer name and the Process ID assigned by Windows.
Last Connected | This is the date and time the user logged in.


Settings

These settings are for the PhonePad 5 Server and normally should not need to be changed.


Server Settings

The default settings shown here should always be used unless you have a specific reason for not doing so.

Server IP Address

This is the detected IP Address.

Override IP Address

This should be left blank unless your Server or Host PC has multiple IP Addresses and you need to specify which IP Address to use.

Delete Override

Removes any IP Address from the Server IP Address field. You can also clear the field out yourself. Remember to click OK to save this change.

Server Port

The main data connection port for PhonePad. Do not change this unless there is a conflict with another process using the same port.

Notifications Port

The port used by the server to send message notifications to workstations. Do not change this unless there is a conflict with another process using the same port.

Server Folder

Shows the location of the PhonePad 5 Server folder. This setting cannot be edited.

Server Access Key

If your workstations are unable to find the PhonePad Server on your network, you can create a Server Access Key.

First, click the green padlock button to create a Server Access Key. The key next to that can be used to copy the key to the Windows Clipboard. This key will need to be entered into Workstation Config on each workstation.

Then click the Register button to register the key with the Server Access Key system on our web server. If the registration is successful, a green Registered icon will be displayed.

Important: The Server needs to be able to access the Internet for this feature to work.

Activity Logs

When checked, the service logs it processes and any errors it may encounter. It's recommended you have this checked.

Performance Boost

Displays the Performance Boost screen.

Scan IP

Scans the Server or Host PC for multiple IP Addresses.


Performance Boost

This feature increases performance by buffering some database objects in memory. Normally when an object such as a table is read from or written to, it is done directly from/to the Server or Host PC's hard-drive. By holding the table in a memory buffer this can significantly improve performance. By default, any changes to the table in memory will be written to the hard-drive on these events:

·Every couple of minutes

·When the memory buffer is full

·When a database backup is about to be performed.

·When the PhonePad Server is shut down.

Enabling Performance Boost can improve performance significantly.

LightBulb

Buffer settings may be changed over time via system updates to get the best performance for your system.

warningsymbol32x32

Do not change any of the Performance Boost settings unless advised to by a Cybercom Support technician. Incorrect settings could result in adverse system performance and even data loss.

warningsymbol32x32

Although a remote possibility, there is a potential for data loss when Performance Boost is enabled. This can happen if the Server or Host PC crashes, is suddenly powered down, or loses power. In those events the PhonePad Server will most likely not have had time to write any changes to disk.


Scan IP Addresses

If you suspect your Server or Host PC may have multiple IP Address then this feature can find out for you.

Multiple IP Address can be caused by having more than one network interface card installed on the machine. It can also happen if the computer has both an Ethernet and Wireless connection.

Any IP Addresses found will be listed. Select the correct IP Address and click Close.

The IP Address will be added to the Server IP Address field. We call this an override.


Support Use Only

As the tab says, settings on this screen should only be changed by Cybercom Software Support technicians, or changed if advised to by a technician. The reason for this is that the wrong settings can adversely affect system performance.


Service Monitor

Service Monitor is used to monitor a number of PhonePad 5 services. When installed, it will automatically restart the services that have stopped for some reason. This service is not installed by default so you will need to install it if required.

Select Service Monitor to manage the Service Monitor service.

Install | Installs the Server service.
Start | Starts the Server service.
Stop | Stops the Server service.
Uninstall | Uninstalls the Server service.
Settings | Opens the Service Monitor settings window.
Logs | Opens the Log Viewer and displays the Service Monitor logs.
Service Status | Indicates the current status of the PhonePad Server service.

LightBulb

If you get an Access Denied error when try to install or start the service, close the Control Center. Find the ControlCenter application in the folder you installed the server in, right-click on it, and then select Run as Administrator.


Settings

These settings are used by the Service Monitor service to manage some of the other PhonePad services. They can be used to automatically restart the services at a set time each day, or to restart the services when Service Monitor detects that they are no longer responding.

It shouldn't be necessary to use these settings at all unless there is some unknown process on the Server or Host PC conflicting with one or more PhonePad services.


WebSync Service

Enter topic text here.


Automatic Message Forwarding

Automatic Message Forwarding allows you to receive your PhonePad 5 messages via email, or have them sent directly to your cell/mobile phone using SMS or Pushover. This is ideal for users

that work remotely, are on the road, or are temporarily out of the office. To use this feature you need to install MessageSender on your Server or Host PC and configure PhonePad to use Automatic Message Forwarding.


Setting Up Automatic Message Forwarding

There are 4 main steps required to get Automatic Message Forwarding working.

Step 1: Install the MessageSender 6 Service

The first step is to install the MessageSender 6 Service.

Step 2: Configure the MessageSender 6 Service

The second step is to configure it in MessageSender Manager.

Step 3: Adding Communication Settings

The third step is to set up the Communication Settings in PhonePad 5 for Email, SMS and/or Pushover.

Step 4: User Settings

And the final step is for each user to configure their forwarding settings by selecting Automatic Message Forwarding from the Tools menu.


Download MessageSender 6

Download the MessageSender 6 installer (messagesender6setup.exe) from the download page of the Cybercom Software website.


Installing MessageSender 6 on a Server or Host PC

MessageSender should be installed on the same computer as the PhonePad 5 Server, ie. the Server or Host PC. The MessageSender service runs under the Windows system account and, due to Windows restrictions, it cannot access drives located on another computer.

Follow these steps to install MessageSender 6:

1.Run the installer (messagesender6setup.exe).

2.When the Welcome screen appears, click Next to continue.

4.Read the End User License Agreement. Select I accept the agreement and then click Next.

5.Read the information on this screen, and then click Next.

6.Click the Install button to begin installation.

7.MessageSender 6 will now install. It should only take a few seconds.

9.Once the install has finished, information about installing the MessageSender service will be displayed. Click Next to continue.

10.Click Finish to complete the install.


Managing the MessageSender Service


Installing and Starting the MessageSender Service

After installing MessageSender it should start automatically. You can check this by opening Control Center and checking the status of MessageSender.

1.Open Control Center.

2.If the MessageSender status icon is red, select MessageSender.

3.Click the Start button.


MessageSender Trial Period

Under MessageSender in Control Center, you can check your trial period by clicking the License button.


Setting Up the MessageSender Service

There are a few settings you need to set to get things rolling. To do this, you will need to login to PhonePad using a user account that has System Admin access.

1.Select MessageSender Settings on the System Admin toolbar.

2.Select Active to make the MessageSender service active.

3.Select the type of processing you want the service to perform, ie. Process Emails, Process SMS and/or Process Pushover.

4.The final step is to set up your Communication Settings in PhonePad.

Message Processing |
Active | When set to ON, the MessageSender service will process messages in the message queue.
Process Emails | When checked, the MessageSender service will process messages that are queued to be sent via email.
Process SMS | When checked, the MessageSender service will process messages that are queued to be sent via SMS.
Process Pushover | When checked, the MessageSender service will process messages that are queued to be sent via Pushover.
Process Every x Minutes | Determines how frequently the MessageSender service should check for messages to process. The default is every 5 minutes.

Activity Log |
Detailed Activity Log | When checked, the activity log will display connection information, authentication responses, etc.
Only keep the last x log files | When checked, MessageSender will automatically delete older activity log files. You can specify the number of activity logs to retain.
Log SMS Requests | When checked, provides more detailed information about SMS message sending.

Email Subject |
Use Message Subject | When checked, the activity log will display connection information, authentication responses, etc.
Use Custom Subject | When checked, MessageSender will automatically delete older activity log files. You can specify the number of activity logs to retain.
Use Field for Subject | When checked, provides more detailed information about SMS message sending.


Message Templates_2

Message Templates

Under System Tab/MessageSender Settings in PhonePad, select the Templates tab.

MessageSender comes with default templates for each of the message types. These template determine the type of information included in the forwarded messages as well as the format.

The default message templates should also be selected, but you can select them using the drop-down list if they're not. You can use these as is, modify them, or create your own.


Email Templates_2

Email Templates

MessageSender Manager includes a built-in editor for creating and editing email message templates. To open the editor, click on the Template Editor button.

The Template Editor will be displayed. If a message template was specified in the message template field then the Template Editor will automatically open the template for editing. You have a number of choices:

·Edit the template and save it, overwriting the existing one (use Save).

·Edit the template and save it as a new template (use Save As).

·Create a new template from scratch by clicking the New button.

A message template is made up of static text and tags (indicated with <>). For example, in the above screenshot "To:" is static text while "<recipients>" is a tag. When a message is processed, the tags are replaced with actual data from PhonePad messages, while the static text is ignored.

In the same screenshot you can see one of the default email message templates that is included with MessageSender. Virtually every tag is used in this example. To modify the template, simply change or remove the static text and tags you don't want.

The Message Type drop-down list is used to indicate the type of messages the template is to be used for. Tags can be inserted by selecting them from the Template Tags drop-down list and then clicking the Insert button.

Creating a New Template

1.To create a new message template, click on the New button on the toolbar.

2.You can add any static text you want to the message area and format it in any way you desire.

3.To add message tags, position the cursor in the message area where you want the relevant message data to appear. Next, select the appropriate tag from the Template Tags drop-down list, and click the Insert button.

You can save the template by clicking the Save button. You will be prompted for a filename.

Editing an Existing Template

1.If a message template was specified in the message template field then the Template Editor will automatically open the template for editing. You can edit this template or open another template by clicking the Open button.

2.Editing a template is the same as creating a new template. You can add any static text you want to the message area and format it in any way you desire.

3.To add message tags, position the cursor in the message area where you want the relevant message data to appear. Next, select the appropriate tag from the Template Tags drop-down list, and click the Insert button.

4.To save your changes, click the Save button.


SMS Templates_2

SMS Templates

Email Templates_2MessageSender Manager includes a built-in editor for creating and editing SMS message templates. To open the editor, click on the Template Editor button.

The Template Editor will be displayed. If a message template was specified in the message template field then the Template Editor will automatically open the template for editing. You have a number of choices:

·Edit the template and save it, overwriting the existing one (use Save).

·Edit the template and save it as a new template (use Save As).

·Create a new template from scratch by clicking the New button.

SMS templates tend to be a lot shorter than email templates due to SMS character limits. SMS templates have a limit of 160 characters. It's recommended to keep them shorter than this though as the data that replaces the tags many be longer than the length of the tags.

Refer to the section on Email Templates for instructions on creating and editing templates.


Pushover Templates_2

Pushover Templates

MessageSender Manager includes a built-in editor for creating and editing Pushover message templates. To open the editor, click on the Template Editor button.

The Template Editor will be displayed. If a message template was specified in the message template field then the Template Editor will automatically open the template for editing. You have a number of choices:

·Edit the template and save it, overwriting the existing one (use Save).

·Edit the template and save it as a new template (use Save As).

·Create a new template from scratch by clicking the New button.

Pushover templates tend to be a lot shorter than email templates, but not as short as SMS templates. Pushover templates have a limit of 498 characters. It's recommended to keep them shorter than this though as the data that replaces the tags many be longer than the length of the tags.

Refer to the section on Email Templates for instructions on creating and editing templates.


Template Tags_2

Template Tags

The Template Tags that are available for creating and editing message templates are dependant on the type of message selected.

Phone Messages
<caller> | Name of the person calling.
<cametoseeyou> | Displays an [X] if this is true.
<cametoseeyoulabel | Displays "Came to See You" unless you have changed it using the LabelEditor utility.
<calldetails> | This will be either "Phoned", "Returned Your Call" or "Came to See You". If you have changed the message labels then those labels will be displayed instead.
<callaction> | This will be either "No Action Required", "Please Phone", "Will Phone Again", "Will Drop By Again", "Wants to See You" or "Will Be In At". If you have changed the message labels then those labels will be displayed instead.
<date> | Date of the message.
<from> | The caller's organization.
<message> | The actual text of the message.
<messagetitle> | By default this is "While You Were Out", unless you have changed it using the LabelEditor utility.
<noaction> | Displays an [X] if this is true.
<noactionlabel> | Displays "Came to See You" unless you have changed it using the LabelEditor utility.
<phone> | The caller's phone number.
<phoned> | Displays an [X] if this is true.
<phonedlabel> | Displays "Came to See You" unless you have changed it using the LabelEditor utility.
<pleasephone> | Displays an [X] if this is true.
<pleasephonelabel> | Displays "Came to See You" unless you have changed it using the LabelEditor utility.
<recipients> | Lists all users the message was sent to.
<returnedcall> | Displays an [X] if this is true.
<returnedcalllabel> | Displays "Came to See You" unless you have changed it using the LabelEditor utility.
<sender> | The person who recorded the message.
<subject> | The subject of the message.
<time> | Time of the message.
<urgent> | Indicates whether the message is urgent or not.
<wantstoseeyou> | Displays an [X] if this is true.
<wantstoseeyoulabel> | Displays "Came to See You" unless you have changed it using the LabelEditor utility.
<willbeinat> | Displays an [X] if this is true.
<willbeinatlabel> | Displays "Came to See You" unless you have changed it using the LabelEditor utility.
<willbeinattext> | The time the user will be in.
<willdropby> | Displays an [X] if this is true.
<willdropbylabel> | Displays "Came to See You" unless you have changed it using the LabelEditor utility.
<willphoneagain> | Displays an [X] if this is true.
<willphoneagainlabel> | Displays "Came to See You" unless you have changed it using the LabelEditor utility.

Text Messages
<date> | Date of the message.
<message> | The actual text of the message.
<recipients> | Lists all users the message was sent to.
<sender> | The person who recorded the message.
<subject> | The subject of the message.
<time> | Time of the message.
<urgent> | Indicates whether the message is urgent or not.


Managing the MessageSender Queue

You can view and manage the MessageSender queue from within PhonePad, if you are a system administrator.

1.Click the MessageSender Queue button on the System Admin toolbar, or select MessageSender Message Queue from the System Admin menu.

2.The Message Queue will display all messages waiting to be processed by the MessageSender service.

3.The Manage Queue button features a drop-down menu that allows you to manage the messages in the queue.

4.The Refresh button will update the message queue by reloading it.

Clear Queue | Clears all messages from the queue. Any messages cleared will not be sent.
Remove Selected Message | Deletes the selected message.
Remove Emails | Clears all email messages from the queue.
Remove SMS | Clears all SMS messages from the queue.
Remove Pushover | Clears all Pushover messages from the queue.


Purchasing MessageSender 6

You can purchase MessageSender online by visiting the Buy Now page on our website. Or you can click on the Purchase button on the MessageSender Trial screen in Control Center.


Licensing MessageSender 6

When you purchase MessageSender you will receive your license details by email. You can license MessageSender by following these steps:

1.Open Control Center.

2.Select MessageSender.

3.Click the License button

Control Center MessageSender Licence Button

4.Click the License button

5.Enter your license details, then click the Activate License button.

MessageSender Licence Dialog

MessageSender will connect to the license server over the Internet and download your license and install it. A message should be displayed once this has been completed.


Remote Connections Over the Internet

If you have users that work from home, are on the road, or otherwise need to access their phone messages when not in the office then PhonePad's remote connection functionality can help with that.

When you install PhonePad 5 Workstation it also installs PhonePad 5 Remote. Once set up, users can use PhonePad Remote to login to PhonePad from their desktop or laptop computers no matter where they are in the world as long as they have an Internet connection.


1. Enabling Remote Connections

Enabling remote access is simple:

1.Click on the Remote Access button on the System Admin toolbar, or select Remote Access from the System Admin menu.

2.Check the Remote Access Enabled check box.

3.Click the "shield" button in the Remote Access Code field to create a Remote Access Code. The Remote Access Code will be automatically copied to the Windows clipboard

4.Click OK to save the settings.

Give the Remote Access Code to users that will be logging in remotely.

warningsymbol32x32

If you create a new Remote Access Code, any previous Remote Access Code will become invalid. Any users trying to remote connect with the previous Remote Access Code will no longer be able to login until you give them the new code.


2. Configuring Your Router to Allow Connections

Setting up your router to allow remote connections is the critical part of this exercise. If you don't get this done then none of the rest will work.

Unfortunately we can only give you generic instructions as every router does things differently. It's impossible for us to know how to do this on every router/modem on the market, nor can we automate this.

Although we may be able to help in a general way, you may need your IT support company to do the router/modem configuration for you as they are more likely to have a working knowledge of your router/modem than we have.

Before you get started you will need the following information:

1.The IP Address of your Server or Host PC.

2.How to connect to your router/modem using your web browser. Typically the IP Address is 192.168.0.1 or 10.1.10.1, although it could be something else entirely.

3.The username and password to login to your router/modem.

4.How to configure its firewall.

5.How to configure port forwarding.

The two things that need to be done are:

1.Create a router firewall rule that opens port 12600 to traffic from the Internet.

2.Set up port forwarding on your router to forward port 12600 to the IP Address of your Server or Host PC.

LightBulb

If you don't know the IP Address of your Server or Host PC, just go to that machine and run Control Center. It will show the IP Address you need.


2a. Opening a Firewall Port

The first thing to do is open port 12600 in your router's firewall. This allows PhonePad Remote to connect to the router using that port.

On our Netgear router this is done by adding a "service". Although we named the service "PhonePad5Remote" you can usually use any name you like. The important parts are the type, which is TCP, and the port, which is 12600.

This is how it looks on our router once it has been added:


2b. Setting Up Port Forwarding

Now that PhonePad Remote can actually connect to port 12600 on the router, we need to forward the connection to the Server or Host PC that the PhonePad 5 Server is running on.

On our Netgear router this is done by adding a new Port Forwarding Service or Inbound Firewall Rule.

In this example we select the "service" we created earlier (PhonePad5Remote), set the Action to Allow Always, enter the IP Address of the Server or Host PC, and that's about it.

Once it's been added it looks something like this:


3. Setting a Static IP Address

If your PhonePad 5 Server is installed on a Server then it should already have a static IP Address. However, if it is installed on a Host PC then it probably has a dynamic IP Address.

For the Port Forwarding to work correctly, you may need to have a static IP Address on your Server or Host PC. Some routers will ignore port forwarding settings if they're not pointing to a static IP Address.

These instructions will take you through the process of setting this up on a Window 10 system.

You need to know what you're doing with these steps. If you do the wrong thing, your Host PC could lose its ability to connect to your network and the Internet. These instructions are provided for information purposes only and we accept no responsibility if they don't work on your system.

Before you get started, you will need to know:

·Your router's IP Address.

·Your Host PC's IP Address.

Ok, let's get started:

1.Right-click on the Windows icon on the taskbar and select Settings.

2.Select Network & Internet.

Network and Internet

3.Select Change Adapter Options.

Change Adapter Options

4.Right-click on your connection (usually Ethernet) and select Properties from the popup menu.

5.Select Internet Protocol Version....

Internet Protocol Properties

6.Click the Properties button.

7.Enter your Host PC's IP Address under IP Address.

8.Enter your network's Subnet mask.

9.Enter your router's IP Address under Default Gateway.

10.Enter your router's IP Address under Preferred DNS Server.

IP Address Settings

11.Click OK.

12.Click OK.


4. Installing PhonePad Remote

PhonePad Remote is included in the install for PhonePad 5 Workstation, so each user will need to download and install PhonePad 5 Workstation on their remote PC.

LightBulb

PhonePad Remote users will need an active Internet connection on their remote computer to use PhonePad.


5. Using PhonePad Remote

Instead of running PhonePad 5 like they normally would in the office, users instead need to run PhonePad Remote.

To use PhonePad Remote, all they need to do is enter the Remote Access Code provided to them by a PhonePad Administrator, and then click the Connect button. As the Remote Access Code is fairly long it's easier to just copy and paste it into the Remote Access Code field.

When the Connect button is clicked, PhonePad Remote will attempt to connect to the PhonePad 5 Server running on your Server or Host PC. If all goes well it will close itself and the PhonePad 5 login window will be displayed. From that point on they can use PhonePad 5 the same way they would use it in the office.

warningsymbol32x32

PhonePad Remote will only be as fast as the Internet connection. If users have a slow connection then they should avoid using any features in PhonePad 5 that may take a long time to execute.


6. Updating PhonePad Remote

There is no need to update PhonePad Remote as it will be automatically updated in the same way that PhonePad 5 is updated in your office. Whenever you install a PhonePad 5 server update on your Server or Host PC, workstation updates are automatically pushed out to all workstations. The same thing happens with PhonePad Remote.


Forgotten Passwords

Mondays can often be a busy time for administrators. It's common for users to forget their PhonePad password over the weekend or if they've been on vacation, requiring admins to reset it for them. The Forgotten Passwords feature enables users to retrieve their password themselves.

Once enabled, users can click on the I Forgot My Password link on the login window.

To enable this feature there are a few steps:

1.Set up your Communication Settings.

2.Set up the User Notification Settings. You can use Email, SMS or Pushover to send users their passwords.

3.Depending on which communication method you are using, you will need to add the relevant setting under each user's account, ie. Email Address, Cell/Mobile Number, or Pushover Device Name.


Sending Caller Information to PhonePad

PhonePad Workstation includes 3 command line programs that can be used to send caller information to PhonePad:

·SendNumber

·SendNumberUser

·SendNumberExternalUser

These programs can be called from other system, eg. phone systems, to pass caller information to PhonePad and open a new message form with the data prefilled.

As these are command line programs you will need to run them in a CMD shell. When you run them without parameters they will display information on how to use them.


Updating PhonePad 5

PhonePad 5 includes an easy way to update your software to the latest version whenever one is released. Instead of going to the PhonePad website to look for updates, you can check from within PhonePad.

There are basically 3 types of updates in PhonePad 5:

·Server Updates

·Workstation Updates

·Database Updates

Server Updates

A server update includes updates to the server itself, support applications (eg. Database Restore), and documentation (help files, user guides, etc.).

These updates are handled by the application updates.

Workstation Updates

This includes updates to the PhonePad workstation applications (PhonePad5.exe, PhonePad5Run.exe, InstantChat.exe and WhereRU.exe) as well as documentation (help files, user guides, etc.).

These updates are handled by the application updates.

Database Updates

Database updates are changes to your PhonePad 5 database. These include altering your database to fix problems or adding new features.

These updates are handled by the application updates.

warning

IMPORTANT WARNING: Unless you want to start with a new blank database, do not try updating PhonePad by downloading the latest full server installer from the website. It is designed for fresh, clean installs not updates. You need to download updates using the Application Updates feature, or by downloading updates from your account at www.myphonepad.com.

If you use the full server installer to update your Server or Host PC it will delete your existing PhonePad database.


How Updating Works

PhonePad 5 has a built-in update system that makes it easy to update your Server or Host PC and each workstation.

When you install an update on your Server or Host PC, each workstation will be automatically updated the next time the user logs in. No more walking around to each computer and installing an update manually - it's all done for you.

Your PhonePad database will be analyzed and updated to the latest version of the database.


Updating PhonePad from My PhonePad

Login to your My PhonePad account at www.myphonepad.com.

1.Select My Downloads.

2.The latest version will appear at the top of the list.

3.Select the latest Server Update and click the Click to Download link.

4.Save the download and run it on your Server or Host PC.

With each release there are 3 setup programs:

Server Update | eg. PhonePad 5.9.0 Server Update | This setup program is used to update your PhonePad 5 Server and PhonePad 5 Workstation to the specific version.
Server Setup | eg. PhonePad 5.9.0 Server Setup | This setup program is used for new installations of the PhonePad 5 Server on your Server or Host PC. Caution: If you run it on a Server or Host PC that already has PhonePad 5 Server installed, it will overwrite your existing PhonePad 5 database.
Workstation Setup | eg. PhonePad 5.9.0 Workstation Setup | This setup program is used to install PhonePad 5 Workstation on a new computer. It should not be used to update a workstation, unless you really want a fresh install.


Update Notifications

In addition to being able to check for new versions of PhonePad manually, administrators will get a popup notification in the system tray when a new version is available for download.

Clicking the Update link will take you to the Server Updates screen.


Server Applications

When you install PhonePad 5 Server on your Server or Host PC, a number of important tools are installed as well. Normally you won't need to use most of these tools but they are there if you need them.


Config Restore

If your database configuration file is damaged you may get this error message when starting PhonePad 5 workstation.

Fortunately your PhonePad 5 Server backups up your database configuration file whenever your automatic backups are performed (or when you do a manual backup).

You can resolve this issue by following these steps:

1.Go to the PhonePad 5 Server folder on your Server or Host PC.

2.Run Config Restore.

3.Select a recent backup.

4.Click the Restore button.

5.You will be asked to confirm the restore.

6.The database configuration file will be restored from the selected backup.d

7.Run PhonePad and check to make sure it now starts correctly.

LightBulb

Users need to be logged out of PhonePad before you can restore a database configuration file. Config Restore will stop your PhonePad 5 Server temporarily while the restore is being performed, which means any users currently logged in to PhonePad will lose their connections.


Control Center

Control Center is used to manage and control the various services that form the PhonePad Server side of things.

The Home or Overview screen is displayed on startup and shows the current status of all services, as well as the currently installed version number.

Check the section on Managing PhonePad Services for more information.


Database Repair

As the name suggests, Database Repair is used to repair your PhonePad 5 Database should it become damaged for some reason.

For more information, see the section entitled Repairing Your PhonePad Database.


Database Restore

We're hoping you will never need to use this, but if there is a need to restore your PhonePad 5 database from backup then this program makes it quick and easy.

For more information on restoring from backup, see this section: Restoring Your Data from a Backup.


Log Viewer

PhonePad generates a number of logs that track system activity and performance. They don't contain any personal data (you can verify this yourself by examining the logs).

Log Viewer is generally used by Support staff to help isolate the cause of a problem you may be experiencing. You may be asked by us to run Log Viewer and send your logs to us so that we can diagnose an issue.

For more information, refer to the Logs section.


Process Monitor

Process Monitor is similar to Windows Task Manager and other system tools, but with greatly reduced functionality. It has one purpose: to show which ports and protocols PhonePad is using on your Server or Host PC. This is used to help isolate any connection errors you may be having.

Refer to Connection Issues for more information.


Restore Snapshot

Restore Snapshot is a program that is designed to help you quickly revert your PhonePad system back to a previous state.

A snapshot is another form of backup performed by PhonePad. There are some differences though:

·Like automatic and manual backups, snapshots back up your database files. But they also back up everything in your PhonePad 5 Server folder.

·Snapshots are only run when you install a server update.

Snapshots automatically capture the current state of your PhonePad 5 Server or Host before a server update is performed. The idea behind this is, should something go horribly wrong during the server update, you can use the Restore Snapshot program to restore your PhonePad installation on your Server or Host PC back to the way it was immediately before the update.

This means you can get back up and running quickly with very little downtime. And it gives us time to work out what went wrong with the update (if there was a problem with the update itself, or if there was some soft of OS or hardware issue on your Server or Host PC).

See the section entitled Restoring from a Snapshot.


Monitoring the PhonePad Services

Monitoring PhonePad Services

If any of the PhonePad services stop responding for some reason, you can install Service Monitor to automatically restart the services affected. It is not installed by default.

1.Run Control Center.

2.Select Service Monitor.

3.Click Install.

4.Click Start.

5.Click Settings.

6.Make the required settings and click OK.

Force Restart

You can set services to restart at a specific time each day. If there is a process running on your Server or Host PC that causes a service to stop running or become unresponsive, you can use the Force Restart feature to automatically restart the service at a specific time each day. The default is 5:00 am.

Force Restart |
Restart Time | Specifies the time each day to restart the selected services.
MessageSender Service | When checked, the MessageSender service will be restarted. THIS IS NOT AVAILABLE YET AS IT REQUIRES AN UPDATE TO MESSAGESENDER.
PhonePad 5 Server Service | When checked, the PhonePad Server service will be restarted.

Monitor Services

Services being monitored by the Service Monitor service will be automatically restarted within a few minutes if they stop running, or if they stop responding.

Monitor Services |
Caller ID Service | When checked, the Caller ID service will be monitored.
MessageSender Service | When checked, the MessageSender service will be monitored.
PhonePad 5 Server Service | When checked, the PhonePad Server service will be monitored.

LightBulb

It's not normal for services to stop running or responding so if this does happen please report this to Cybercom Software Support. The Service Monitor service should keep PhonePad up and running while we investigate the issue.


Moving Your PhonePad Database

PhonePad includes methods for moving your PhonePad database to another drive or another computer.


Moving Your PhonePad 5 Database to Another Server or Host PC

If you need to move your PhonePad 5 database to a different Server or Host PC you can do this easily with the Move Database application (which you can download by clicking this link)

Download and install Move Database on both your old Server/Host PC and your new Server/Host PC.

Follow the instructions in the included manual or access the online instructions.


Relocating Your PhonePad Database to Another Drive

By default, your PhonePad database is located under C:\ProgramData\Cybercom Software\PhonePad5Server.

If your Server or Host PC has more than one physical or logical drive then you can optionally move the database to that drive. For example, some users like to reserve the C: drive for the operating system and a D: drive for data.

If you want to move your database to a different drive then a program is included with PhonePad specifically to do this.

1.Open the C:\PhonePadServer folder.

2.Open RelocateDatabase.

3.Enter or select the new location for the database.

4.Click Move and then confirm this action when prompted.

5.Your database and associated folders will be moved to the new location.

If the PhonePad 5 database already exists in the location you select, this message will be displayed.

The first option will overwrite the database in the destination located.

The second option will just update the location of the database in the system without overwriting anything.

The third option will cancel the relocation.

LightBulb

If you want to move your PhonePad database to another Server or Host PC, use the Move Database program instead. You can click on the MoveDatabase link in Relocate Database to take you to the website page where you can download MoveDatabase.

warning

For technical reasons, the PhonePad database cannot be located on a network drive or an external drive such as a USB drive or NAS. If you move the database to these types of drives PhonePad will stop working.


Importing Your PhoneSlips Data

What is the Data Migration Tool?

The PhonePad Data Migration Tool allows you to import data from PhoneSlips) directly into PhonePad. No CSV files to worry about.

It’s designed to bring your existing contacts, messages, and other data into PhonePad — without messy spreadsheets or manual re-entry.

What can be imported?

Depending on the version of the tool, you can import:

·Contacts

·Messages

·Appointments

·Users

Key features

Smart Preview

Before importing, you can:

·View all detected data

·Browse it in a structured grid

·Select exactly what to import

Duplicate Detection

The tool automatically:

·Identifies potential duplicate contacts

·Groups related records (e.g. same company)

·Helps you avoid cluttering your database

Selective Import

You are in full control:

·Import everything

·Or choose specific records only

Direct Import (No CSV Required)

Data is imported directly into PhonePad’s database:

·No intermediate files

·No formatting headaches

·No risk of broken imports

How it works

1.Launch the Data Migration Tool

2.Select your source data files

3.The tool analyzes and loads the data

4.Review the data in the preview screens

5.Select what you want to import

6.Run the import

Done. Your data is now in PhonePad.

Example use case

You’re moving from PhoneSlips to PhonePad.

Instead of:

·Exporting to CSV

·Cleaning data manually

·Re-importing and fixing errors

You simply:

·Load your PhoneSlips files

·Review the preview

·Import directly

Important notes

·Original data is not modified

·You can review everything before importing

·Duplicate detection is assistive, not automatic deletion

Why use it?

·Saves hours (or days) of manual work

·Preserves your existing data

·Makes switching to PhonePad painless


Protecting Your Data

The more you use PhonePad the more important it will be to take care of your data. Imagine how catastrophic it could be if you lost all of your phone messages, Address Book contacts, follow up notes, and other important information that PhonePad stores.

To help you protect your data PhonePad has some built-in mechanisms.


Automatic Backups

PhonePad 5 has an Automatic Backup system built-in. It's designed to be "set and forget", which means once it's been set up you don't have to remember to back up your PhonePad database

When the PhonePad 5 Server is installed for the first time a default backup schedule is automatically created for you, so your data is protected from Day 1.

You can change the schedule to suit your needs at any time.

One advantage the AutoBackup system has over other backup methods is that users don't need to be logged out while backups are running.


Manual Backups

You can of course run a manual backup at any time for ad hoc backups. You shouldn't rely on manual backups as an ongoing backup strategy because as humans we tend to forget things. Better to leave it up to AutoBackup for your regular backups.


Backing Up Your Backups


Copying Your Backups to External Storage

Backups are all well and good but if your server decides to call it quits you want more than just the backups on your server's hard drive.

The AutoBackup system has an automatic copying system to quite literally make a backup of your backups whenever an automatic backup has been performed. This can be to another hard-drive, either internal or external, a USB drive, or even an online service like Dropbox.

Personally we like to use Dropbox for storing copies of our backups. That way if we lose the local backups for some reason we can always retrieve them from the online storage.


Server Backups

If you don't already have backup software on your Server or Host PC, then we recommend you install one. We are often surprised how many of our customers don't have any form of backup system installed. You can get away with it for a while but one day something will happen to make you grateful that you have been regularly backing up your data.

Although PhonePad 5's AutoBackup backs up your PhonePad 5 database it doesn't back up anything else including the PhonePad application files. This is not much of a problem because you can always download and install the software again from your My PhonePad account. This only takes a few minutes and all of your valuable data and configuration information can be restored from your backups.

You can also restore everything quickly and easily if you use a 3rd party backup package.


Snapshots

With the release of PhonePad Version 5.15.0, the server update process now takes a "snapshot" of your PhonePad installation on your Server or Host PC. Not only does it make a copy of your PhonePad 5 database, it also copies your PhonePad 5 Server application files.

This means if something goes wrong during an update, you can quickly revert back to your previous setup with a couple of mouse clicks and very little downtime.


Backups vs Snapshots

In case you're wondering what the difference is between PhonePad 5 backups and snapshots, this table shows you what is included in each type.

Files | Automatic and Manual Backups | Snapshots
Server Application Files | NO | YES
Database | YES | YES
Configuration Files | YES | YES
Backups | YES | NO
Logs | YES | NO
Workstation Updates | NO | YES

Backups

Backups are primarily designed to make a copy of your database and configuration files. Restoring from a backup will revert your database back to the way it was when the backup was made.

Backups tend to be a lot smaller than snapshots.

Snapshots

Snapshots are intended to get you up and running quickly when something goes wrong, specifically with updates. If an update fails for some reason, you may be left with the wrong version of some or all of your database files.

If you restore from a backup, the restored database may not be the same version as the updated application files. This can leave you with application files that are not compatible with the restored database files. What you would then need to do next is to download the correct version of your PhonePad 5 Server application files and install them.

Instead of restoring from a backup in this situation, you should restore from a snapshot. This will restore both your database files and applications files. This is much faster and easier than restoring your database and then reinstalling your PhonePad Server files.

Snapshots tend to be a lot larger than backups.


Troubleshooting Problems


Startup Problems

This section describes some of the most common start up errors.


Login Validation Error

If this error appears when starting PhonePad, it's usually an indication that your database configuration file has been damaged.

A damaged configuration file can be caused by:

·A Operating System issue.

·A hardware issue or fault.

·The Server or Host PC is powered down without going through the normal Windows shutdown process.

·The Server or Host PC crashes.

·Power surges or lightning strikes.

The PhonePad 5 Server automatically backs up your database configuration file on a daily basis, so if you do get this error you can quickly restore a backed up configuration file (provided that is not damaged as well).

See Config Restore for more details.


Windows Startup

If you have PhonePad configured to start automatically when Windows starts, in some cases PhonePad may not be able to establish a connection with the Server or Host PC.

Sometimes it can take a few seconds or more for the workstation's network adapter to connect to your network. If this happens then PhonePad will be unable to locate your PhonePad 5 Server will probably display a connection error or may just sit there in a state of limbo.

To resolve this, you can configure PhonePad to wait until a network connection is available:

1.Go to the PhonePad 5 folder on your workstation.

2.Run Workstation Config.

3.Select the Settings tab.

4.Check the Wait for network connection on startup check box.

5.Click Save.

When you start PhonePad now you will see that it waits for a network connection before proceeding.


Freezing on Startup

If PhonePad freezes when starting it on your workstation, the most common cause is anti-virus software (or anti-malware, anti-spyware, etc.). This can happen in the following situations:

·You have installed PhonePad for the first time.

·You have updated PhonePad to a new version.

·Your anti-virus software has been updated.

Check your anti-virus software to make sure it is configured to allow PhonePad to run, and that it does not perform any type of real-time scanning of PhonePad. Unfortunately we cannot offer advice or instructions on how to do this as there are dozens of anti-virus products available, and their interfaces change frequently.

You may need to do these checks on both your workstation(s) and Server or Host PC.


Connection Issues

If PhonePad has trouble connecting to the PhonePad 5 Server, there is a program in the PhonePad 5 Server folder on your Server or Host PC called Process Monitor. You can use Process Monitor to check to make sure that PhonePad 5 Server has the appropriate ports open, which are: 12600, 12601, 12602, 12603 and 15350.

Run ProcessMonitor. You should see the following screen.

When PhonePad 5 Server is running you should see similar results. Of course, the process ID and Local Address will be different, but the Local Ports and Protocols should be the same.

If port 12600 is not displayed then there is a problem with the port.

1.Try stopping and starting the PhonePad 5 Server using Control Center to see if that resolves it.

2.Check to make sure there are no firewalls blocking the connection.

3.Check your anti-virus/anti-malware/anti-spyware software to see if that is blocking the connection.

LightBulb

For a complete guide to resolving connection issues, please visit this page on our website: https://www.cybercom-software.com/phonepad-connection-problems.htm

LightBulb

Process Monitor can also be started from the Control Center. Just select PhonePad Server and then click the Processes button.


Logs

Logs are an important tool for diagnosing and fixing any issues that may occur. PhonePad generates a number of logs that track successful and unsuccessful operations. Some of these logs will only appear if errors are encountered.

If you get an error message while using PhonePad and can't remember what the error message was, it's high likely that the error was recorded in a log file.

Server Logs

These are the logs generated on the Server or Host PC:

·Aloha logs - logs Auto Discovery requests and responses.

·AutoUpdate logs - logs all Automatic Update activity.

·AutoUpdate Service Setup logs - logs the installation and setup of the AutoUpdate service.

·Backup Module logs - logs all backups.

·Caller ID logs - logs Caller ID errors.

·Cloud Module logs - logs cloud errors.

·Config Module logs - logs config module errors.

·Config Restore logs - logs Config file restores.

·Database Repair logs - logs database repairs including any issues found.

·Database Restore logs - logs database restores.

·Database Migrator logs - logs

·DataUpdate logs - logs any changes to the PhonePad database as part of an automatic or manual server update.

·Email Module logs

·Notification Server logs - logs Notification service connections and processes, which are used as part of the Dynamic Refresh feature.

·PhonePad Server logs - logs Server processes.

·Pushover Module logs - logs Pushover errors.

·Server Trace Logs - used to determine system issues.

·Service Setup logs - logs installation and setup of services.

·Service Monitor logs - logs any activity performed by the Service Monitor service.

·SMS Module logs - logs any SMS errors.

Workstation Logs

These are the logs generated on each workstation:

·Aloha logs - logs Auto Discovery requests and responses.

·LogViewer logs - logs any errors for the LogViewer application.

·Message Notification logs - logs notifications received from the Notification service.

·PhonePad logs - logs PhonePad processes but especially any error messages.

·PhonePad Loader logs - logs start up processes and workstation updates.

·Workstation Trace logs - used to determine issues between the workstation and database.

Log Viewer

The easiest way to view the log file is by using the Log Viewer. It knows where to find the various logs and display them.

To view logs:

1.Select the type of logs from the list on the left, eg. PhonePad Logs. They are grouped by Server and Workstation logs.

2.The available logs will appear in the top right list. There will be a log for each day a log file was created. The log names use the International date format, which is YYYY-MM-DD.

3.Select the log you want to view.

4.The contents of the selected log will appear in the view area at the lower right.

The up and down buttons can be used to jump to the beginning or end of the selected log.

There is a splitter bar between the log file list and the log contents. You can use this to re-size the viewing area.

Filtering Log Entries

You can filter log entries using these radio buttons:

All | Shows all log entries.
Information | Shows just the information entries, which are typically things like the time a service started, etc.
Warning | Shows just the warning entries. These are problems that a service or application encountered that are not critical but that should be resolved.
Error | Shows just the errors. These are the things we need to know about as they affect correct operation of the PhonePad system.
Debug | Shows just debug entries. These can be useful in determining causes of problems.

The View button be used to view a log entry in a popup window. This is particularly useful where all of the details don't fit in the grid.

Event Viewer

Click the Event Viewer button to view the Windows Event Viewer application logs. This is the same as using the Windows Event Viewer except that it only shows logs relating to PhonePad. This saves having to scour through the Windows Event Viewer trying to find the relevant entries.

Event Log View

System Logs

Technically speaking all logs are system logs, however these logs relate specifically to the database engine and what's happening inside. Most of the time the system logs will just show Information log entries but occasionally it may contain Error log entries. In those situations these logs can be invaluable in tracking down a problem or bug that would otherwise be difficult to locate or even know that it exists.

Sending Your Log Files to PhonePad Support

If you have reported a problem with PhonePad to Cybercom Software Support, you may be asked to send your log files as these often contain important information about the issue you are experiencing.

The easiest way to do this is by following these steps:

1.Click the Support button in Log Viewer.

2.Enter your Firstname and Lastname.

3.Enter your Email Address.

4.Enter the IR (Incident Report) Number that would have been in the email reply (it's in the Subject line and also body of the email).

5.Click the Send button.

6.Log Viewer will collect the files and email them to Cybercom Software Support.

LightBulb

You can only view the Server logs if you are on the Server or Host PC. You can't view them from a workstation.

LightBulb

The logs never contain any database data. They only track certain system activity and error messages that may be useful for fixing issues that may occur.


I/O Error 103

If you get this error when starting or using PhonePad 5, it is a Windows permissions problem, ie. you don't have sufficient access rights to specific folders on your workstation.

PhonePad often needs to be able to write to these folders so that it can automatically install updates and record log events.

Fortunately this is easily fixed, although you will need to login as a Windows administrator on the workstations getting this error.

What you need to do is set the user permissions to at least Modify for the following folders:

·C:\PhonePad5

·C:\ProgramData\Cybercom Software\PhonePad5

On many computers the C:\ProgramData folder is hidden by default by Windows. In that case you may need to type the path in on Windows Explorer's address bar.

These are the permissions that need to be set for both folders:


Checking Windows Permissions

You can easily check to see if your PhonePad folders and files have the correct permissions by downloading and running the PermissionsCheck application on your Server or Host PC, and your workstations.

Any potential access rights problems will be show in red.

You can download it here.


Speed Issues

If you're experiencing performance problems with PhonePad 5 then there are a number of things that can cause this. These will be discussed in this section.


Anti-Virus and Anti-Spyware Software

Anti-virus and anti-spyware can severely impact the performance of PhonePad 5. Read more about this in the section entitled Anti-Virus, Anti-Spyware and Other Security Software.


Network Connectivity

If your network experiences connectivity issues like dropouts, loss of data packets, etc. this can significantly impact performance.

Loss of data packets will cause the data has to be resent, and this will be repeated until the complete packets are received at the other end.

Connectivity drop outs will trigger PhonePad to attempt to re-establish the connection. This takes time. Frequent dropouts will definitely slow things down.

You can check if there have been connection problems:

1.Select System Logs from the System Admin menu,

2.Click the System Events tab.

3.The following example screenshot shows that there were some network problems that caused loss of connection between the workstation and server.


High Network Traffic

If your network is congested with activity this can also affect the speed of PhonePad. While you may be able to open documents over your network without much delay, keep in mind that PhonePad is a networked based data application that can access a lot of data within a short amount of time, so in some way it can be more sensitive to high levels of network traffic.


Heavy Server Load

An overworked Server can definitely affect the performance of any database-based system. A high number of users, high memory usage, and excessive disk activity can all reduce performance.

If you have a Host PC instead of a dedicated server, high amounts of processing on the Host PC can also affect the response time.


Speed Tests

You can easily check the response time between a workstation and the Server or Host PC using the Speed Test feature.


What Does the Speed Test Do?

The Speed Test measures the response time between a workstation and the PhonePad 5 Server. If you are experiencing performance issues with PhonePad this test can help to determine whether or not the delays are caused by the connection between your workstations and the server.

When you run the speed test it will send 100, 1000 and 10,000 records to the database, then read them back, and then delete them. When it does this it will measure how long each operation takes and then display the results on the screen.


Running the Speed Test

Select Speed Test from the System Admin menu, or click the Speed Test button on the System Admin toolbar.

To run the Speed Test, just click the Run button.


Speed Test Results

Once the testing has been completed the results will be displayed. The speed dial will show the results for Test 1 (the 10-record test).

The response time for Test 1 is the one should you focus on.


Interpreting the Results

The speed dial indicates how fast the server responded to the data requests.

Green Band | 0 to 1 second | Ideally the response time should be in the green band. In the example above the response time was 22 milliseconds or 0.022 of a second. This is a very good response time.
Yellow Band | 1 to 2 seconds | This is slow but still acceptable.
Orange Band | 2 to 3 seconds | This is too slow and it means there is a problem somewhere. The most likely causes are anti-virus real-time scanning on the Server (or Host PC), the Server is busy doing some serious number crunching, the network traffic is high, the server's hard-disk is severely fragmented or nearly full, etc.
Red Band | More than 3 seconds | This is extremely slow and there is definitely something bad going on and could be an indication of hardware issues.

If the test result you get is in the green zone then this pretty much shows that data communication between the workstation and the Server or Host PC is very good and that you should be looking elsewhere for causes of any performance issues you are experiencing. Putting it another way, whatever is causing performance issues is very likely something external to the PhonePad 5 system.


Speed Test History

The History tab shows a complete history of all speed tests that have been performed.

The important columns are Date and Test 1 (which is why they are highlighted).

It's a good idea to retain this history so that you can monitor the response times over a period of days, weeks, month or even years. However you can delete these results at any time using the Clear button.


Multiple Servers

When You Don't Want Multiple Servers

Installing multiple PhonePad 5 Servers on your network can cause unpredictable behavior. Workstations will connect to the first server that responds to a connection request. This means that you could end up with workstations connecting to different databases, resulting in messages not getting through and data inconsistencies.

The above scenario can happen when users mistakenly install the PhonePad 5 Server on more than one computer (there have been a few cases of this). The general rule is you should only have one PhonePad 5 Server on your network.

The following issues could be an indication that you have more than one PhonePad 5 Server on your network:

·You have installed a server update but one or more workstations still show the previous version number.

·Error messages state that one or more database elements are missing after a server update has been installed.

·Messages are not being received by the intended recipients.

You can check to see if you have more than one PhonePad 5 Server on your network by downloading and running the ServerScan program. It will list all of the servers it discovers.

When You Do Want Multiple Servers

There are situations where having more than one PhonePad 5 Server is useful. For example, on a large network it may make sense to set up a separate PhonePad 5 database for each workarea/division/section, etc.

To avoid conflicts you will need to disable Auto Discovery on each workstation and enter the IP Address of the server you want PhonePad 5 Workstation to connect to. You can do this by running the WorkstationConfig program installed in the PhonePad 5 folder on each workstation.

Your options are to either use set the Server's IP Address or use a Server Access Key.


Other Information


Anti-Virus, Anti-Spyware and Other Security Software

Anti-Virus, Anti-Spyware and similar systems (which we'll collectively call Security Software), are the bane of database systems. They can literally bring a database server to its knees. Please read through the following sections so that you are aware of the issues and what can be done to fix them.


Real-Time Scanning

Security software usually has some form of real-time scanning which can severely impact the performance of database engines.

If you experience any of the following issues with PhonePad 5 then you can bet there is some type of security software performing real-time scanning:

·Slow response times

·Freezing

·Excessive CPU usage, especially on the Server or Host PC

Real-time scanning, which can also be known by other names like Real-Time Protection or Active Protection, scans files when you open or access them to make sure they don't contain any malicious content. That is fine for documents and some applications that are opened every now and then, but for database files which can be accessed multiple times per second this can significantly increase the amount of time it takes to process data.

Imagine a scenario where you are working on something important and someone interrupts you. Occasional interruptions may be okay but if that person interrupts you continuously then it would be pretty hard to get any work done.

The solution for real-time scanning is to either exclude the PhonePad 5 Server folders from real-time scanning, or disable real-time scanning altogether on your Server or Host PC.

Scheduled scans are generally not a problem, although you should avoid scanning the PhonePad 5 Server folders during working hours.

The solution for the pesky interrupter is up to you.

The folder you need to exclude on your Server or Host PC is C:\ProgramData\Cybercom Software\PhonePad5Server, and all sub-folders.


Firewalls

PhonePad 5 automatically creates inbound and outbound exception rules in the Windows Firewall so that the client software (PhonePad 5 Workstation) and the server software (PhonePad 5 Server) can communicate with each other.

The problem is a lot of security software also have their own firewall built-in, and in many cases these firewalls completely ignore the exception rules added to the Windows Firewall. This means that you may need to manually configure your security software's firewall to allow connections between PhonePad 5 Workstation and PhonePad 5 Server.

PhonePad Port Usage

warningsymbol32x32

Unfortunately we are unable to provide instructions for all security products - there are dozens of products available and their user interfaces are frequently updated. It is an impossible task for us to keep up to date with all of them and write instructions for them as well.

In addition to that, It is the security software company's responsibility to make sure that their products are compatible with other software, not the other way around.

However, we will try to provide instructions for some of the more popular security products where possible.


Server Configuration

The Control Center application on your Server or Host PC has a Settings button which allows you to change some of PhonePad 5 Server's default settings.

Server Settings

There shouldn't be a need to change any of these settings unless there is a port conflict with other software on your network. It's recommended that you leave these at the default settings.

If you do have to change any of the settings, you will also need to change the corresponding settings on all of your workstations using the Workstation Configuration program so that they match.

Support Use Only

These settings are used to tweak some of the system settings. Unless you are experiencing specific problems they should be left at their defaults.

The Remote Trace feature is used by Support to diagnose any issues you may be experiencing. If you have problems with PhonePad, a support technician may ask you to activate the Remote Trace for a short period. It should normally be left unchecked.


Workstation Configuration

The Workstation Configuration application is used to alter settings for individual workstations.

Server Auto Discovery

The Server Auto Discovery feature enables PhonePad 5 to automatically detect and connect with a PhonePad 5 Server on your network without you needing to enter the server's settings.

If Auto Discovery is blocked on your network by a router or other network device then you can override this feature and specify the Server's IP Address.

Settings

Disable Auto Login | If your computer is set to Auto Login, you can temporarily disable it. Perhaps you have changed your username or password. By disabling Auto Login you will be able to login using your new account details which will then be remembered the next time you login. Click the Disable Auto Login button.
Connection Timeout | Specifies how long PhonePad will wait for a response from the PhonePad Server when it is already connected.. The default is 15 seconds.
Remote Timeout | Specifies how long PhonePad will wait for a response from the PhonePad Server when attempting to establish a new connection. The default is 15 seconds.
Wait for Network Connection on Startup | If you have PhonePad set to start automatically when Windows starts, you may encounter situations where PhonePad is unable to connect to the server because the workstation hasn't yet established a connection to your network. If you check this checkbox,, on startup PhonePad will check for a network connection (either Ethernet or Wireless) and wait until there is a connection available before attempting to locate a PhonePad Server and connect to it..
Remote Trace | This should only be activated when requested by PhonePad Support as leaving it active for too long can affect PhonePad performance.

Comms

These default settings shouldn't need to be changed unless there are network conflicts on these ports.

Notifications Port | This is the port used for notification purposes, especially dynamic refresh. The default is 12601.
Communications Port | This is the port used for communications purposes. The default is 12602.
Broadcast Port | This is the port used for broadcast messages. The default is 12603.


Configuration Files


PhonePadLocalSettings.ini

PhonePadLocalSettings.ini is a configuration file located in C:\ProgramData\Cybercom Software\PhonePad5 on computers that have PhonePad 5 Workstation installed.

The PhonePadLocalSettings.ini file contains:

·Username and password (encrypted) for automatic login. These are managed by PhonePad.

·Connection override settings.

·Debug settings.

·Temporary folder setting.

[Login] | Automatic login settings
Username | The username.
Password | Encrypted password.
[Settings] |
ServerOverride | 0 = Automatic server detection. 1 = Disables server detection and uses manual settings.
RemoteTrace | Used for debugging purposes by Cybercom Software Support. Do not enable unless advised as this can severely impact performance. 0 = Remote Trace is off. 1 = Remote Trace is on.
TempFolder | If set it overrides the default Windows temp folder setting, eg. C:\Windows\Temp.
[Server] |
ServerIP | IP Address of the Server or Host PC. Only used when ServerOverride = 1.
ServerPort | TCP Port of the Server or Host PC. Only used when ServerOverride = 1.

Example:

[Login]

Username=Jane

Password=mTuo+JSTUfAXiwmpOSPL4PYC

[Settings]

ServerOverride=1

RemoteTrace=0

TempFolder=C:\MyTemp

[Server]

ServerIP=192.168.0.100


Editing PhonePadLocalSettings.Ini


Application Folders

By default, PhonePad 5 Workstation and PhonePad 5 Server are installed in the following folders:

·C:\PhonePad5

·C:\PhonePad5Server

Now you may be wondering why they aren't installed under C:\Program Files or C:\Program Files (x86). The reason is that the Program Files folders are special folders that are normally tightly controlled by the Windows OS and User Access Control (UAC). We have found that installing PhonePad in those folders breaks the automatic update system due to overly restrictive access rights.

These restrictions don't normally apply to other folders directly off the C: drive root directory (but sometimes they might). We recommend that users be given Modify access to the C:\PhonePad5 and C:\PhonePad5Server folders, or whichever folders to put them in.


PhonePad 5 Server Folders

PhonePad 5 Server uses the following folder structure on your Server or Host PC.

These folders are maintained by PhonePad 5 Server and should never be modified or deleted. It is strongly recommended that you give Server or Host PC users Modify access to these folders.

AlohaLogs | These logs are created and maintained by PhonePad 5's auto-discovery system.
Backups | This is where PhonePad stores the automatic and manual backups. If you want to backup your PhonePad backups using backup software then back up this folder.
Config | This folder contains important configuration files used by PhonePad 5 Server.
Data | This is where your actual PhonePad 5 data is stored.
DatabaseUpdate | This folder contains files used by DataUpdate to update your copy of PhonePad.
Downloads | This folder is used during update processes.
Replication | This folder will support data synchronization and replication when this feature is added to PhonePad 5.
ServerLogs | PhonePad 5 Server keeps its logs in this folder. These logs are often used by support staff to diagnose and resolve issues.
SystemBackups | Important configuration files are automatically backed up to this folder by PhonePad 5 Server.
Updates | This folder is used to update files on your workstations.


Purchasing PhonePad

To purchase PhonePad, select Purchase from the Help menu. You will be taken to the Cybercom Software order page where you can purchase PhonePad.


Licensing PhonePad

When you purchase PhonePad you will receive an email containing your Client Number, Email Address and Serial Number. These details are used to license your PhonePad system.

Select License from the Help menu.

Enter your license details in the relevant fields as shown above, then click the Activate button. PhonePad will connect to our license server to download and install your license. If you are unable to connect you may need to configure your firewall or security software to allow the connection.

Please note: licensing only needs to performed once. You do not need to do this on each workstation.

If You Are Unable to Connect to the Internet

If your computer is unable to connect to the Internet then there is an alternative method of licensing PhonePad.

Click the Use Code button.

1.Enter your Serial Number.

2.Click the Create Code button. A special code will be created.

3.Click the Copy Code button and paste it into a document that you will be able to access on a computer that has email access.

4.Go to this web address: http://www.cybercom-software.com/licensecoderequest/licensecoderequest.html

5.Paste the code into the space provided on the website.

6.Click the Request button.

7.A special code will be emailed to your license email address.

8.Copy the code from the email and paste it into the field above, or copy the code to the Windows clipboard and click the Paste License Code button.

9.Click the Activate button to activate your license.


PhonePad Home Page

Select PhonePad Home Page from the Help menu to go to the PhonePad home page on the Cybercom Software website.


Latest News

Select Latest News from the Help menu to go to the News/Blog page on the Cybercom Software website.


License Information

Select Your License Information from the Help menu.

PhonePad Licence Information


System Information

The System Information windows displays information that can be useful for support staff trying to diagnose an issue.

Select System Information from the Help menu.

You can click the Copy button to copy these details to the Windows clipboard.

System Information displays:

·Application information

·Database information

·Database Statistics

·User Information

·License Details

·System information

·Anti-virus, anti-spyware and firewall software details


Suggestions

We love to receive suggestions, enhancement requests and other feedback from our customers. It helps us improve our software and ensures that PhonePad continues to meet your needs.

You can send us your ideas by selecting Suggestions from the Help menu. Your browser will open to our Suggestions web page.


Support

We have been supporting our products for over 20 years.

If you have any problems with downloading, installing, configuring or using PhonePad 5 please contact us instead of your normal IT support provider. As good as your IT people are, we know PhonePad better and can probably pinpoint the problem and fix it a lot faster.

Please visit the Support page for information on support options: https://www.cybercom-software.com/support.htm


Getting Us to Repair Your Database

If you are experiencing problems with your PhonePad 5 database, especially error messages, and you have tried repairing it and restoring from backup then it might be time to call in the big guns.

Send an email to support@cybercom-software.com explaining the problem. Include any error messages. We will most likely get you to download a program that will upload your database to a secure area on your server.

The setup program will install two programs:

·Database Upload - this is used to upload your database for repair.

·Database Download - this is used to download and install your repaired database.


Uploading Your Database for Repair

Before we can repair your database you will need to upload it to our secure server. Due to the specialized nature of this type of repair it's not possible for us to do this over-the-phone or by remote support.

1.Run Database Upload by right-clicking on the icon and selecting Run as Administrator from the popup menu.

2.Make sure the Include Backups check box is checked before clicking Next.

3.You will be prompted to select some recent backups.

4.It is recommended that you select at least a week's worth, starting with the latest backup.

5.Click OK to continue.

6.Enter your Name and Email address.

7.Click Next to continue.

8.f

9.To save time and to ensure none of your files go missing, a copy of your database will be compressed.

10.Once the compression has finished your database will be uploaded to our repair server.

11.This could take a while if you have a big database.

12.Once the upload has been completed click the Finish button.


Downloading Your Repaired Database

When your PhonePad 5 database has been repaired and is ready for download, you will receive a notification email from us with instructions on how to download it. This is a fairly straightforward process.

1.Copy the Repair Code from the email you received.

2.Run DatabaseDownload by right-clicking on the icon and selecting Run as Administrator from the popup menu..

3.Paste the Repair Code from the email into the Repair Code field.

4.Click the Download button and select Yes when prompted.

5.d

6.The Repair Code will be validated and then the download should commence.

7.A message will be displayed when the download has been completed.

8.Click OK.

9.Click the Install button and click Yes when prompted.

10.Your database files should now be installed.

11.If all goes well you should see the following message.

12.Click OK, and then click the Exit button.


Update Plan

Developing software is a time consuming and expensive business. So that we can continue to develop PhonePad and provide more frequent releases, we have annual Update plans. An Update Plan provides you with all major and minor updates that are release during the period of the Update Plan. A 12 month update plan is provided with your purchase of PhonePad 5. After 12 months you have the option of renewing your update plan. PhonePad will continue to work regardless of whether or not you renew your update plan.

To check your Update Plan, select Update Plan from the Help menu.

In the first example it shows a current Update Plan that doesn't expire until the date shown.

In the next example the Update Plan has expired.

The Update Plan can be renewed at any time, either while your plan is current or when it has expired. If you renew your Update Plan while it is still current you will get a full 12 months added on to the end of your plan's expiry date, so you don't lose anything by renewing early.

If you are in the Trial period you will be on the Trial Update Plan. You are still eligible to updates during this period.


Renewing Your Update Plan

1.When you're ready to renew your Update Plan, click the Renew button.

2.The Update Plan Renewal window will be displayed.

3.Click the Renew button on this screen. You will be taken to the Update Plan Renewal website.

4.Your details will be automatically filled in and the renewal amount for 12 months will be calculated.

5.Click the Renew Now button to pay for the renewal and follow the prompts.

6.Once your payment has been processed you will receive an email containing your Update Plan Number.

7.Enter the Update Plan Number and click the Activate button. PhonePad will be updated with the new Update Plan.


Update Plans

Developing software is a time consuming and expensive business. So that we can continue to develop PhonePad and provide more frequent releases, we have introduced annual Update plans.

An Update Plan provides you with:

·Minor updates.

·Major updates.

A 12 month update plan is provided with your purchase of PhonePad 5. After 12 months you have the option of renewing your update plan.

PhonePad will continue to work regardless of whether or not you renew your update plan.


Settings

 Top

These settings control the Auto Update service.

Automatically update PhonePad when new versions are released | When checked, Auto Update will automatically check for new server updates and install them automatically.
Check at xx:xx xx ever day | Specifies the time each day that Auto Update performs the check. If you are using PhonePad's Auto Backup feature, and we hope you are, then make sure you set a time that is different to the backup time to avoid any conflicts. This goes for any external backup system you use as well.
Activity Logs | When checked, the service logs it processes and any errors it may encounter. It's recommended you have this checked.